
This file shows the changes for each version of Din's Curse.

1.024
-----
improved ground textures in Menace Mausoleum
added Demon War credits
higher level monsters no longer get higher chances of critical hits
fixed smite duration (Bluddy)
changed max stack on fires to 1 so they are a bit more consistent in damage
changed clothes on mage characters on new character screen to look higher level like other characters (Chumpy)
fixed a block incorrectly marked as a special room in Frantic Pit (Evander)
added text to specify shock bolt's stun chance (bushwhacker2k)
chaos lord's fireballs no longer homing (Evander)
now only get tornados in town when there is a weather machine
increased tornados from weather machines from 0.02 to 0.025
moved right click ui to side of the screen in widescreen mode
moved event text ui to side of the screen in widescreen mode
moved player ui to side of the screen in widescreen mode
increased mana needed per level of most skills
changed protocol version to 20
decreased zeal mana per level from 2 to 1 (Srulz)
decreased gaseous form mana per level from 10 to 0
added a randomize button on new character screen (randomizes name, class, and options) (Trelow)
once a trap goes off from a chest/door the trap info updates (Manumitted)
fixed Wampir Whacker spelling (Manumitted)
moved arrows for right click slots to align with bottom slot
Sven's Falchion really is falchion now (Valgor)
added RoyalBlue/Blue to vbulletin export stuff
moved stashes a little farther apart in one town (Manumitted)
fixed a collision issue in crystal cave (Arjun123)
changed gas leak explosions to fire effect and fire damage (Manumitted)
no longer show random armor/weapon reward if vendor intends on selling it (Manumitted)
now players get 0.1% magic crushing chance per dexterity (Bluddy)
added 0.75 strength required per level for cloth armor
added 1.0 strength required per level for leather armor
now PowerGainX commands work with per level stuff also (Bluddy)
now longer status effect icons will blink when they get below 5 seconds left (Evander)
fixed obelisk effects not lasting the correct amount of time (Aet/EternalChampion)
increased defense magic modifiers from 1.0/0.4 to 2.0/0.8 (Manumitted)
spider's can no longer jump when they can't move (Manumitted)
added magic chests (always locked, all items are destroyed if chest is destroyed) (Bluddy)
fixed of Religion spelling (Caal)
fixed time display from midnight to 1am (Caal)
moved the equipment screen some so that it wasn't overlapping the secondary use slot bar (stubbie)
shields now have durability (will only effect new shields) (Maledictus)
fixed some effects not going away correctly when player changes shape (spacehog)
added MinCharLevel support to skills (for modders not main game) (Bluddy)
changed frost nova and fire nova procs to come from enemy not self (Manumitted)
added ui_showSimpleTips back into game options
now turning off show simple tips also hides empty - can put any kind of item here tip (Maledictus)
fixed system picking up zip files multiple times
fixed being able to start a high level world with a new character after loading a high level character (Baki)
fixed imps not moving sometimes after being resurrected (Pyro)
now get rid of object if you fail a trigger quest (Caal)
now non moving enemies doesn't effect rescues
increased critters during infestation a bit more (Crisses)
demon mastery now gets 4% health boost (DeathKnight1728)
hopefully fixed is guarding 's treasure issue (Nim)
fixed demonic control on stationary monsters (Crisses)
changed a ton of npc dialog (Bluddy)
moved companion ui to side of the screen in widescreen mode  
randomized hunger a little bit more


1.023
-----
improved general warrior hit effect
fixed the druid's mana bonus per spirit (Pyro/Bluddy)
changed power bonus to mana bonus (just a wording change) (Bluddy)
now concentraion skill mentions sharing skill points (Valgor)
now circle and ward skills mention sharing skill points (DemonWar) (Valgor)
fixed energy shield icon (Maledictus)
fixed a typo in Thorn the Elite Bowyer's intro (Manumitted)
changed spirit modifier name from of Saint to of the Saint (Manumitted)
removed TownPersonChat2-6 since it was blank (Arjun123)
lures no longer block your movement (spacehog/Crisses)
you can no longer use your teleport stone when dead (m0stly_harmless)
made gate list ui a bit wider (tacitus)
viper venom now gets 5% boost per level (DeathKnight1728)
fixed money/happy npc tip
fixed a couple issues with healthChangeInflation on status effects like Blight/Regeneration (Despair/Max_Powers)
added a log quick tip
added player trading to help topic, manual, and a quick tip
fixed hidden quests sometimes getting stuck hidden (Crisses/Steve)
fastest settings should no longer hide quest related infestations (spacehog)
quest xp/rep rewards now display with commas
now cap the max level difference for xp related stuff to 10 (this # is moddable)
increased cold, fire, lightning, magic, and poison resist magic modifier per level from 0.45 to 0.9
increased elemental resist magic modifier per level from 0.15 to 0.3
increased Resistance Per Spr from 0.25 to 0.4
increased Resistance Per Spr bonus for warden & demonologist from 0.1 to 0.2
increased resistance monetary value from 5.0 to 10.0
in general doubled skills resistance bonuses
decreased armor calc parms from 25/50 to 24/48 (will make armor absorb more damage)
game now handles unknown items a little better now (Bluddy)
fixed an overrides/inheritance clash that was making some npc chats never happening (Bluddy)
added npcs looks towards town attackers quick tip
added 5% damage inflation to caltrops, smite, poison arrow, curse of pain, and bone shatter
added 5% damage inflation to wampir blood and poison ward (DemonWar)
added 4% damage inflation to lifeburn
changed inferno damage inflation to 4% (DemonWar)
added 2% damage inflation to immolation and natures revenge
changed protocol version to 19
added support for ProjRadiusDamageInflation, ProjDamageInflation, and DamageInflation
added 5% damage inflation to death blow, holy bolt, arcane blast, arcane swarm, shadow bolt, bolt of gloom,
  bone shatter, shockwave, tornado, and holy symbol
added 4% damage inflation to holy strike, holy fire, exploding arrow, immolation trap, freezing trap, 
  lifeburn, and charged strike
added 2% damage inflation to fiery blast, sweeping flames, volcano, maelstrom, arctic shard, frost nova, 
  ice storm, chain lightning, ball lightning, lightning swarm, fireball, earthquake, lightning, and thunderbolt
increased mace speed from 1.2 to 1.15
increased two handed mace speed from 1.85 to 1.75
potion vendors can now sell empty vials (Crisses)
increased Bravery duration from 30.0 to 60.0 (DeathKnight1728)
adrenaline now increases time 2 secs per level (also increases reuseTime) (alstein)
increased champion damage by 25% (alstein)
increased charge damage mult from 0.1 to 0.2 (DemonWar) (alstein)
renamed Shankar's Flail to Shankar's Hammer (Manumitted)
blood sacrifice now casts quicker and lasts a little longer (DemonWar) (DeathKnight1728)
shatter now costs more mana each level (Bluddy)
decreased strength requirment on bows from 1.5 to 1.0
decreased crushing blow magic modifier from 0.05 to 0.04
decreased critical hit magic modifier from 0.04 to 0.03
increased fire elemental summon damage mult per level from 0.1-0.2 to 0.2-0.3 (Pyro)
decreased mana regen magic modifier per level from 0.2 to 0.15
changed stoneskin powerup from defense to armor bonus (Pyro)
made plate/mail armor skills a little more clear
now people don't starve at quite the same rate as each other (DemonWar) (DeathKnight1728/Nim)
increased mushrooms world modifier mult from 4.0 to 8.0 (Crisses)


1.022
-----
increased initial thunderbolt damage, decreased damage per level, and now is effected by lightning mastery
inferno damage now goes up 10% extra per level (DemonWar) (DeathKnight1728/alstein)
now get a chest reward for solving 100 wave invasion (DemonWar) (DrShock)
made solve quest menu a bit bigger to fit text better
decreased slice time from 1.65 to 1.3 (DeathKnight1728)
now blood rage lasts 0.5 seconds longer per level (DemonWar) (alstein)
increased shield bash damage bonus from 0.2 to 0.3 (alstein)
increased zeal starting damage mult from 0.2 to 0.6 and starting crush from 0.25 to 0.5 (alstein)
changed cure poison to effect poison, acid, and fire (alstein)
changed cure poison name to cure
decreased champion reuse time from 120.0 to 90.0 (alstein)
increased cleave damage mult per level from 0.125 to 0.135 (alstein)
increased initial Savage Strike damage mult from 0.5 to 0.6 (alstein)
revenge now works on crushing blows and deep wounds also (alstein)
increased retaliation damage mult per level from 0.05 to 0.25 (alstein)
caltrops ReuseTime now descreses 1 sec per level (alstein)
thief concentration skills are now linked (alstein)
feint adds some crushing blow chance also now (alstein)
spot vulnerability now also gets 0.03 deep wounds mult (alstein)
ice armor now lasts 10 more seconds per level (alstein)
increased critical strike damage per level from 0.2 to 0.25 (alstein)
now reusetime and buff time for flame blade increases 3 sec per level (alstein)
increased permafrost initial attack speed slow down from -1.0 to -2.0 (alstein)
decreased Magic Shield ReuseTime from 180.0 to 120.0 (alstein)
arcane drain damage now goes up 5% extra per level (alstein)
changed arcane swarm & lightning swarm text to note that damage specified is per projectile (alstein)
increased marked for death initial debuff (alstein)
charge ReuseTime now decreases 1.5 per level (alstein)
fixed shield blast/shield sweep so that it stuns
decreased Blood Sacrifice damage per level from -2.0 to -1.5 (DemonWar) (DeathKnight1728/alstein)
increased multishot damage mult from 0.1/0.05 to 0.15/0.15 (Nobear/Nomad_Soul)
fixed EvidenceWarAgainstTown not being localized correctly (DemonWar) (Bluddy)
now standing in water gives you a fire resistance bonus (DemonWar) (Max_Powers)
increased size of each donation, also moved mult to database (DemonWar)
added test_stressActivities (DemonWar)
clicks on the NPC menus will no longer go through if not on a button (ZeoZark)
fixed rain chat (Bluddy)
decreased food/drinks per point cost from 0.3 to 0.27
gambling, seedy, and misery world modifiers now change the world more (DemonWar) (tacitus)
marked some more quests that lead to town attacks as HighStress (Crisses)
now only normal townspeople can solve quests (Nim)
decreased armor calc parms from 27/54 to 25/50 (will make armor absorb more damage)
decreased monster armor per level from 8.0 to 7.0
added 2.5% inflation to Regeneration and increased its duration by a minute (Max_Powers)
deep thought now adds 2 magic resistance per level (DeathKnight1728)
gouge now gets a 5% damage bonus per level (DeathKnight1728)
changed save version to 101
donation bliss gets harder and harder each time (per person) (DemonWar) (Bluddy)
? and ! minimap icons now get suppressed if npc is in combat (Bluddy)
changed protocol version to 18
fixed damage type on flaming arrow, poison arrow, and shock bolt (Arjun123)
increased rylor damage a little (DemonWar)
increased rylor bull health and damage a little (DemonWar)
increased winged rylor speed some (DemonWar)
increased vortar solider health and armor some (DemonWar)
increased vortar guardian health some (DemonWar)
decreased bow strength requirement per level from 2.0 to 1.5 (m0stly_harmless)
decreased dagger dexterity requirement per level from 4.0 to 3.5 (m0stly_harmless)
decreased mace strength requirement per level from 4.0 to 3.0 (m0stly_harmless)
paladins can now use swords (m0stly_harmless/alstein)
blight now has a 5% inflation on its damage (m0stly_harmless)
gut now has a 5% inflation on its damage
changed Freezes target to Freezes/Stuns target (m0stly_harmless)
increased Adrenaline speed change from 0.1/0.05 to 0.15/0.1 (Max_Powers)


1.021
-----
aligned the scrollbar better in load character screen
changed hunter attack icon to a dagger (Crisses)
no longer say right click to loot on other players equipment (Crisses)
fixed a bug that let you give armor to monsters (DemonWar) (Ghost Matter)
changed town attack gated out message to mention it's temporary (SimonDark)
changed find items for a personal project to be optional (Caal)
no longer get reputation penalty for failing an optional quest
now donating to an npc has a chance to make them not start a fight for 10 minutes (might also get them out of a current fight) (DemonWar)
fixed not being able to solve debt and starving quests at the same time (DemonWar) (Steve)
removed left click doesn't attack text and fixed cursor while in stealth (Crisses)
fixed using objects not stopping correctly if object destroyed
can now convert a healthstone/manastone into a health/mana potion with an empty vial, destroys the stone though (DemonWar) (Tori)
fixed another issue with displaying potential traps (Alstein)
added a check just to make sure Din can't starve to death (DemonWar) (Bak)
improved text in Windows patch installer
windows patch installer now verifies that destination is where game is actually installed
fixed a geometry problem with one of the towns
now fun stats are guaranteed across network to prevent losing stats if lose the wrong packet while playing multiplayer (Pyro/icecube/Tar Palantir)
decreased traitor posionsed supply, curse, plague chances from money problems (DemonWar)
fixed poisoned supply not starting with price increase (Bak)
now on weapon/armor rewards from quests specify name of the item you received
changed quest giver mini-map blips from a purple circle to ? or ! icons (Bak)
cold mastery now effects ice prison time correctly (abomination5)
added kill message for bosses (Manumitted)
made sure when a quest is given by a monster it's not a unique monster (Manumitted)
npcs now give you a fair time period to solve a quest (DemonWar)
flaming arrow, poison arrow, and shock bolt are now physical attacks instead of magic (Nobear)
zoom keys can now repeat (Bluddy)
npcs should no longer talk about themselves in the 3rd person with dynamic chat
dark ritual no longer works on self
spirit now increases resistances by 0.25 per level instead of 0.2 (Bak)
changed all decent distractions to minor distractions since nothing actually requires a decent distraction (Deltahawk)
can now cap number of sounds started at about the same time
fixed lightning sounds not playing sometimes (Bluddy)
changed a bunch of things over to new max sound stuff
added a thank you activity (DemonWar)
changed protocol version to 17
changed min version for expansion to 1.021 (DemonWar)
increased average length of starving quest some (DemonWar) (Bluddy)
fixed another proc issue (finally), not getting initialized correctly in some cases (L337GTIMKV/Kruztee)
fixed a typo in a renegade attack quest
added a bags help topic
fixed empty item slot highlight text
now get a random quick tip on loading screen
get now hit H to see the next quick tip
added a bunch of quick tips
decreased monster max damage per level from 1.2 to 1.1


1.020
-----
fixed losing name in unshrink quest after npc died (demoss)
made smaller buttons on npc menus slightly bigger to fit text better (DemonWar)
mana numbers are now guaranteed network data (demoss/Roswitha/Nobear)
fixed rogue stealth not breaking when attacking scouts (demoss)
fixed a npc killed message when credit was the npc
can now assign mouse buttons to use slots (Jorlen)
made pet ui smaller to not get in the way of the event text as much (abomination5/pnakotus)
fixed mouse buttons not working sometimes after being disconnected from server (Roswitha)
fixed widgets sometimes not releasing mouse properly if something unexpected happens (dhex/GreatStalin)
completely redid Savage Lair graphics
moved stuff around on load character screen to look better
reworked the confirm Delete Character screen to look better
fixed a collision issue in torment tomb (tacitus)
decreased traitor use weight from 0.1 to 0.025 (DemonWar)
decreased tornado chances except for weather machines (DemonWar)
increased infestation mult from 9.0 to 14.0 to make it a bit easier to find critters to step on (DemonWar) (Emceegyver)
fixed dark ritual effect being off on some monsters (Bluddy)
fixed how trap info is displayed on doors and chests
now prioritize which quest a picked up monster body parts goes to (Bluddy)
fixed a crash if you bought a beast from the beastmaster by dragging (DemonWar) (Caal)
added semi-hardcore characters to hardcore heroes but gets a 0.25 multiplier to score (DemonWar)
can now choose low, medium, or high for jpg screenshots (Stardusts)
fixed failed to find plans to build a machine text for new machines (DemonWar)
fixed earthquake machine building other machines text (DemonWar) (Feral23/pnakotus)
quick sell hotkey no longer works unless buy/sell screen is up (FloodSpectre)
fixed monetary value of cast time items (Roswitha)
fixed a crash when meeting monsters can't be put into the same block (Nim)
no longer save demonic control (DemonWar)
now need to use skills to destroy a statue dedicated to a player (Manumitted)
increased perception magic modifier from 5/1.5 to 6/2 (NTJedi)
reworded some of the acheivements to make it more clear that they were all of the characters combined (DemonWar) (jeremyosborne)
fixed town sometimes winning instantly
changed town backup quests from random quests to unique monsters so don't accidently add a ton of optional quests
decreased critical hit magic modifier from 0.5/0.5 to 0.4/0.4
now cursor doesn't change based on world when hoving over character screen (Maledictus)
increased chances of stealing a little (DemonWar)
decreased money level where npcs will turn traitor for money purposes (DemonWar)
now npcs can start in debt (DemonWar)
fixed a trap level issue
fixed a crash if npc tries to solve own quest (DemonWar)
fixed a crash when a boss is overthrown and he has an outstanding revenge quest also


1.019
-----
stamina enchantments now have monetary value (Manumitted)
can no longer attack something that is fading out like chests (Manumitted)
added effect & sound to wind trap
lists can now use text backdrop (Steve)
now main game main menu buttons are aligned like expansion
fixed a few ways that could lead to inifite loops in follow stuff (Bluddy)
decreased winged rylor and vortar guardian select size (Bluddy)
made vortar guardians a little harder (Bluddy)
game now errors out with a useful message if the version of the save is newer than the game or it is corrupt


1.018
-----
made sure more barbarians wouldn't spawn during barbarian raids (DemonWar)
raids should no longer end when you are fighting the enemy (Steve)
fixed thunderbolt stun working every time (wasp3)
secret doors will no longer respawn (Manumitted)
unknown gates will no longer spawn into areas that are respawning (Manumitted)
made XP Debt capitalization more consistent
fixed Fake Damek's Cap name (Max_Powers)
fixed some geometry problems with walls in some of the towns
fixed Someone from town started the plague wording (DemonWar) (Bluddy)
decreased npc gift weighting from 0.0125 to 0.01
on pick character screen shortened character options to 1 or 2 characters and added a key (Archon)
shortened character options on character screen (Archon)
fixed a gargoyle, pet, faction complication that was causing NPCs to occassionally attack pets
can no longer purge pets (fiesher)
wars with the town now lead to attacks of the correct monster type (Bak)
prioritize best quests for town summary a little better (Manumitted)
now get a message if no item reward was given but were led to believe there would be one
reworded a couple gather quests to be first person and correctly tell you location (DemonWar)
now defense line on items shows total defense for the item just like armor/damage (Manumitted)
now meeting quest monsters should stick together better (Manumitted)
game now saves games out in safer way using temp files
aligned options on game options menu better
made unidentified icon more visible
improved the dropdown menu graphics a little and made it smaller
hopefully fixed a hiding but not attacking issue
fixed a hardcore killed by a non-monster saving issue (DemonWar) (RoanokeKeeper)
made buttons on delete character confirm menu match other buttons
fixed getting credit for multiple critters on each kill sometimes (DemonWar) (Roswitha/KiloOhm)
fixed talk to location on flowers quest (DemonWar) (Nobear)
death skills no longer work on statues (Roswitha)
statues can no longer turn (Roswitha)
increased lure monster level per level from 2.0 to 4.0 (Nobear)
fixed unique monsters starting groups (Bak)
now cancel id bar if something interrupts process (Manumitted)
added a small explanation of why Keely doesn't use a bow (Roswitha/Crisses)
added Quality versions of all of the food so that each food jump is not as extreme
fixed debt quests incorrectly figuring out if duplicate or not
fixed npcs starting wars (DemonWar)
decreased npc job money from 0.25/0.5 to 0.2/0.4 (DemonWar)
made npcs more concerned about money before they go into debt (DemonWar)
npcs starting money now rounds up instead of down (DemonWar)
decreased mining activity weight from 0.2 to 0.1 (DemonWar)
increased argument weight from 1.0 to 1.25 (DemonWar)
decreased donate happiness change from 5.0 to 3.0 (DemonWar)
increased Jealous weight from 1.0 to 1.25 (DemonWar)
added a mod note in version mismatch error
fixed war against town evidence quest (DemonWar)
changed protocol version to 16
fixed blight effects positioning (Roswitha)
stat values use commas more often when large
now more likely to generate a valid item for reputation level up (Nim/Manumitted)
anti-magic machines now has anti-magic aura (DemonWar) (Roswitha)
fixed rylor bomb explosion sound (DemonWar) (Steve)
can now get highlight text from more than 6 status effects on player (Manumitted)
horror now needs to be in sight to use ice storm. combustion, or poison gas on enemy (Manumitted)
decreased traitor activities based on debt weight from 0.2 to 0.1 (DemonWar)
fixed some max attribute display issues (Nobear)
can now use right click to equip items from shared stash
fixed ball lightning making too much noise at once (wasp3)
now new character menu resets back to warrior correctly when last picked was a hybrid (NTJedi)
sentinels and skeletons can no longer be eaten (cooking skill, scavengers, dimensional gates) (Pyro)
skeleton archers can no longer get deep wounds
fixed wars with town duplicates
fixed followers for all of the monster types
fixed a failed meeting starting wars with random other monster types (FloodSpectre)
reworked meeting leading to war a bit
added another possible consequence to evil artifact quest (FloodSpectre)
now when buying an item it will actually go where you place it (Vifarc)
added dvorak option to Windows and Mac (Kaishen/Colonel Blimp/Crisses)
fixed higher numbered function keys on mac (fab)
rewrote life steal description some (FloodSpectre)
fixed a potential char*/string issue with save games
added more room to get quests screen (Nobear)
now can get highlight text from more status effects on pets (Max_Powers)
changed torva shaman body part for quests from headdress to mask (FloodSpectre)
stuck happens after lock now on doors (Manumitted)
decreased monetary worth of proc skills on items (Manumitted)


1.017
-----
improved a couple more ground textures
now bags always show in hide crappy items mode
centered options better on set up world screen
improved rylor bomb effects (DemonWar)
fixed insane amount of tornadoes being unleashed (DemonWar)
made pets healing at Din's altar silent (Max_Powers)
moved pets stance icon some
fixed healing icon on pet blinking when using Din's altar (Max_Powers)
increased range npcs would cower from lightning
decreased tornado lasting time from 60.0 to 45.0 (DemonWar)
now give feedback to where donated item went (DemonWar) (jeremyosborne)
fixed prices of cursed items
now give a little more feedback on lottery (DemonWar) (jeremyosborne)
npcs fights now last a bit longer, but also longer between fights (DemonWar)
fixed empty levels near difficulty max (Chumpy)
fixed petrified npc dialog (ebarstad)
fixed undead from attacking their own town attack gates (Ghost Matter/FloodSpectre/Nomad Soul)
changed Brenna's Cap and Brenna's Cuffs to fit set better (Manumitted)
changed Dez's Cap to fit set better (Manumitted)
changed protocol to 15
changed Damek's Gloves and Damek's Cap to fit set better (Manumitted)
fire, cold, and lightning masteries now get small resistance bonuses (Manumitted)
changed sign when displaying escape notice numbers (Nobear)
increased per level damage for ball lightning, ice storm, fire, and poison gas traps from 4/8 to 10/20 (udm)
exposed max Text Events user var on game options screen (Steve)
tornadoes should get stuck on the world less now (DemonWar) (Steve)
tool tip no longer says click to talk on thieves (Manumitted)
now ignore door clicks when opening and closing (Manumitted)
now hide easy/hard arrows on set up world screen when out of range (Archon/Nobear)
changed monster resistances in legendary in expansion back to normal (DemonWar)


1.016
-----
levels next to a persistent level are no longer persistent themselves
fixed a few issues that was keeping levels loaded longer than necessary
now npcs only get happiness if they kill something in town (DemonWar) (Valgor)
no longer start on fail quests if solved by npc (jeremyosborne)
amorphs, plaguebringers, and vortar guardians can no longer be scouts or assassins
improved a couple more ground textures
cleaned up decline quest confirm menu a little
spawning creatures are handled better by town attack quests (Shadowy Figure)
rescue npcs will no longer call for help when fading out (Steve)
fixed fire wards auras to have the same range (DemonWar) (Shadowy Figure)
decreased ReuseTime on EnergyShield from 60.0 to 45.0 (DemonWar) (Alstein)
decreased ReuseTime on ShieldSweep from 30.0 to 20.0 (DemonWar) (Alstein)
inferno now lasts 2 seconds extra per skill level but reuse time also increases (DemonWar) (Alstein)
circle of protection and power are now linked (DemonWar)
fixed npcs not being able to solve other people's debt/starving quests (DemonWar) (pnakotus)
fixed npc food price sometimes rounding to 0 (DemonWar)
fixed ego bows not leveling up correctly (DemonWar) (Nomad Soul)
made armor absorb more damage (changed from 30/60 to 27/54)
fixed a way could get message that blank left you a gift (ebarstad)
fixed a few quests from showing up on townperson and steward
now clean up extra level items when quest is failed or completed (EternalChampion)
fixed a couple tornado issues (DemonWar)
improved a few more ground textures
war master now has a town armory slot where any item placed there is automatically allocated to a town npc or 
  proceeds are added to the town lottery (DemonWar) (pnakotus/FloodSpectre)
added a town lottery (money comes from unused town armory and donations to Din) (DemonWar)
changed protocol version to 14
added a few outfitting quests (DemonWar) (abomination5/FloodSpectre)
no longer show quest button if no quests available from that npc
shields now add to your block stat (FloodSpectre)
increased Spot Vulnerability armor piercing from 25 to 35 per level (Manumitted)
increased Armor Melt armor piercing from 30 to 45 per level (Manumitted)
increased magic shield absorb damage from 40 to 60 per level, but lowered duration from 60 to 30 (Manumitted)
now using Din's altar also heals pets
anything that blocks spells also blocks monsters from raising the dead (Roswitha)
undead, orc, and dark elf totems should no longer spawn in levels without their respective faction (Manumitted)
totems can no longer be stunned (Manumitted)
starting durability now takes into account durability enchantments (Manumitted)
fixed a focus issue with input key box on mac (Colonel Blimp)
no longer get don't have quest message if click on fading out delivery npc (Manumitted)
totems and dimenstion gates can no longer get deep wounds (Manumitted)
now show reputation loss on unsavory vendors (Manumitted)
will no longer use keys from stashes (Manumitted)


1.015
-----
can no longer play too many barrel break sounds at once (dhex)
now quest npcs that die effect happiness and relationships (DemonWar) (udm)
now print Doesn't meet requirements when pet can't use item (Ghost Matter)
skeleton archer pets will now use health/lifestones (Ghost Matter)
fixed if full inventory and use 1 empty vial, object no longer ends up on ground (DemonWar) (Tori)
reworded cursed slow proc to be more clear (jeremyosborne)
no longer lose name in cure quests (icecube)
reworded fire strike description to be more clear what damage is based on and what type of damage (DemonWar) (FloodSpectre)
fire mastery now enhances fire strike (DemonWar) (FloodSpectre)
fire mastery now enhances inferno (DemonWar) (FloodSpectre)
now show time limit for fire elemental and wards (DeathKnight1728)
fixed escape picking leave option on confirm leave screen (Sinister Stairs)
linked ward skills (DemonWar)
any players with skill points in linked wards will get skill point/money refunds automatically (DemonWar)
made chat sound louder
now can only get level cleared once per dungeon level (pnakotus)
added a separator to make drop down boxes a little more clear (Amberjoy)
now invasion position changes each wave (DemonWar) (Nobear)
fixed Building Something quest for expansion (DemonWar)
now when a unique monster quest is failed, the monster is removed
fixed a missing unique monster when a unique monster leaves and there is a revenge type quest (Ghost Matter)
now building something quest only builds 1 thing if you fail
fixed an issue with trying to add a new apothecary/steward when no space for them (Sinister Stairs)
reputation gain prints are now green, while losses are red
now print better leave town message if banished (DemonWar) (Ghost Matter)
made gambler quest a little harder (Nobear)
decreased Possession reuse time from 120 to 60 seconds (DemonWar)
world is now paused on set up world screen (Sinister Stairs)
fixed poison ward attack speed effect not working correctly (DemonWar) (DeathKnight1728)
fixed ward effects not leveling up correctly (DemonWar)
now lightning wards also add critical hit bonus (DemonWar) (DeathKnight1728)
fixed saurian mage lightning sometimes not casting (jeremyosborne)
rewrote debt, mining, and starving quests to be first person (DemonWar) (FloodSpectre)
reworded evidence quests slightly (DemonWar)
xp and reputation prints now use commas when large
can now double click on quests to accept them
can now hold down button to keep attacking things like barrels when clicking on their label
fixed special rooms spawning more than once
fixed a town lost message (Julie)
adjusted player name box to fit longer names
improved a couple more ground textures
changed the wall outside geometry in 6 town levels to look more appropriate
adjusted the buttons a bit on the main menu screen to look better with new demon added (DemonWar)
reworked powerup icon textures (DemonWar)
fixed a couple set up (instead of setup) issues (Roswitha/Valgor)
fixed a recharged teleport stone not saving correctly (DemonWar) (Roswitha)
can no longer fill multiple vials from one pool when pausing (DemonWar) (Roswitha)
now show all levels in set up world screen, but unavailable are greyed out and explain why (Steve)
radically changed the armor formula for how much damage is absorbed
radically changed the resistance formula for how much damage is absorbed
fixed ResistanceBonusDesc stuff (DemonWar) (Caal)
increased wampir blood damage from 1.5/1.0 to 6.0/1.5 (DemonWar) (Alstein/James Johnson)
replaced DC logo with DW logo on other menus (DemonWar) (Steve)
now mention stack size on Demonic Roar, Blood Sacrifice, and Spirit Strike (DemonWar) (Shadowy Figure)
decreased shield sweeps initial damage penalty from -1.0 to -0.6 (DemonWar) (Alstein)
decreased monster ResistancePerLevel from 3.0 to 1.0
decreased monster resistance mult in higher difficulties
at least for now turned off abandon penalty in non-hardcore
fixed another issue with BuildingSomething quest override (DemonWar)


1.014
-----
removed gray from Padded Cowl icon (FloodSpectre)
removed gray from Linen Leggings icon (FloodSpectre)
the rogue's precision skill now increases critical hit and deep wounds chances (Manumitted)
fixed some npc dialog when another npc was killed by an npc (DemonWar) (GreatStalin/Aet)
slightly reworded Black Market Vendor's intro dialog (Manumitted)
increased blackmarket vendor magic chance and reputation penalty (Manumitted)
improved various ground textures in the dungeons
improved various wall/cave textures
fixed a missing magic modifier on Imp Slayer
fixed a secret in ScowlingDenDW (DemonWar)
increased MaxItemGenerationTries for level item quest from 10 to 100 (Bomphav)
fixed magma trap damage (and similar issues with traps adding a status effect) (Manumitted)
now start at a random time of day
skulls no longer fade out for in the way purposes
widened select character ui to make it fit character options better
fixed a text overlap issue on world map (jeremyosborne)
fixed Breach spelling (DemonWar) (Magitek)
improved a few textures
changed license string text a little to be more clear which key it is talking about (expansion or main game)
fixed a family heirloom quest spelling issue (Magitek)
made vortar solider/raider selection size more reasonable (DemonWar) (Magitek)
increased time of wards and circles slightly to make them not blink on and off (DemonWar) (Magitek)
decreased traitor poisoned supply, plague, and curses a little (DemonWar) (Steve)
decreased lost shipment chances a little (DemonWar) (Steve)
now display prints above npcs a bit longer (DemonWar) (Magitek)
fixed QuestTextMonsterQuestItemRitual issue (DemonWar) (Caal)
fixed a couple typos with ritual quest (DemonWar)
fixed a way that quests weren't failed if npc died (Aet)
fixed town attack plural/posessive issue (FloodSpectre)
changed Teleport stone found to Teleport stone materials located (DemonWar) (FloodSpectre)
added some explanation to the new machine world modifiers (DemonWar) (FloodSpectre)
fixed Rowdy description (DemonWar) (Nobear)
improved supply poisoned and curse quest text some (FloodSpectre)
added new sound for new chat message (Magitek)
made exploding barrel explosion effect match damage radius (Bluddy)
increased block reuse time from 2.0 to 6.0 to balance a little
changed Tover's Bracers to better match level of the rest of the set (Ghost Matter)
fixed yellow wall alignment in a few towns
fixed turned off damage numbers to include misses and critical type prints also
fixed talk to part of recover body quest (DemonWar) (Nobear)
made finding a valid location for monsters a little more sure
made entity purging smarter if the first try fails
now when gating to town and a gate is blocked, you will teleport as far up as possible (DemonWar)
on group split apart message, no longer tell you monster type
fixed truce message localization (Ghost Matter)
added a little more room to win screen so less likely to need to scroll (Bomphav)
made skill tabs a bit bigger to fit longer specialty names better (Bomphav)
aligned stack size a bit better
now chat messages are green (Nobear)
now get a more informative message if a player kills an npc
can no longer kill inanimate objects to get extra level cleared bonuses (Hirato)
fixed lightning ward effect/name (DemonWar) (Magitek)
improved cross caverns and savage lair graphics
mods interact with expansion better now (they don't accidently shift the database loading order) (DemonWar)
changed network protocol number to 13
fixed scroll bar on multiplayer select character screen
fixed rylor bomb damage (DemonWar) (Steve)
added a Low Stress world setup option
fixed normal pace modifier showing up as blank line on world map (DemonWar)
now show hunger when you highlight starving status effect icon (DemonWar) (Archon)
made referencing database by index a bit safer
fixed how world day was being sent across network
fixed Earth Mastery not increasing Nature Revenge's damage (CaparroZ)
moved skill level numbers a bit to fit better
Brood & Scarabus can no longer kidnap people (Shavastak)
fixed rupture armor proc magic modifiers not showing up and not being on hit
renamed Malice the torva to Bile, was 2 monsters names Malice
two handed mastery now applies to maces and staves (DemonWar)
fixed backup translations for a non-English language mod with expansion (DemonWar) (DetlevH)
now print a Don't meet requirements message when using a too high item (SimonDark)
changed acid weapon effect (DemonWar) (icecube)
ward effects toned down a bit to block view less (DemonWar)
vendors can no longer starve to death (DemonWar) (Aet)
npcs can now officially wear leather armor (DemonWar) (FloodSpectre)
pit traps no longer work in town (FloodSpectre)
added another hint to evidence quests (DemonWar) (Ghost Matter)
now 100 wave invasion's waves get quicker each time (total time less than 2 1/2 hours now) (DemonWar) (Nobear)


1.013
-----
made one of the secret objects a little easier to see
updated year in copyrights
fixed a collision issue in abandoned crypt (DemonWar) (kerzain)
improved Demonic Tomb wall look (DemonWar) 
decreased rylor bomb time a little (DemonWar)
changed one of Shadowclaw's enhancements from regeneration to lightning resistance (Steve)
can no longer have more than one teleport stone quest at the same time (DemonWar) (Steve)
decreased chances for a blocking gate quest (DemonWar)
can no longer have more than 1 of the same type missing shipment (DemonWar)
fixed another Raging Hordes spelling (DemonWar) (iligiann)
fixed some issues in demon gate text (DemonWar) (FloodSpectre)
kralls now have a deep wounds bonus (DemonWar) (FloodSpectre)
added Krall Mark to Krall Worker text (DemonWar) (FloodSpectre)
fixed mining quest wording (DemonWar) (Nobear)
fixed mining quest telling you where npc is (DemonWar) (Aet)
made Two-Handed Mastery a bit more clear that is sword/axe only (DemonWar) (Sinister Stairs/Nobear)
decreased infestation numbers a bit (DemonWar) (Ghost Matter)
changed Level cleared message to include level name (Aet)
changed Setup World to Set Up World (Roswitha)
increased MonsterKilledMonsterWarChance from 0.005 to 0.01 (udm)
no longer allow a bunch of characters like ? in player name (Roswitha)
made duplicate player names check smarter
fixed issue with player name with all unallowed characters
fixed saving world size (DemonWar)  (iligiann)
fixed a TownSaved message typo (FloodSpectre)
improved spiritstrike sound (DemonWar)  (Jakobrogert)
improved impale sound (DemonWar) 
no longer change torch light offset when not lit (network issue)
torches no longer flicker in multiplayer games (network issue)
fixed a small issue where might speed up data rate at client connection
changed baselines a little to assume looping idle anim
no longer send time played to client as much
no longer send player position data back to same player (unless server controlled)
now when sending client positions to client, skips if theirs
torch light offset baseline should be more reasonable now
fixed monster baseline having a light color
no longer send npc money or happiness unless selected (DemonWar)
fixed a collision issue in Scowling Den (Sinister Stairs/Gmer)
made gate into town quest optional since it is hidden (DemonWar) (Steve)
increased normal pace just a tad (DemonWar)
now get a gate unblocked message when blockers are killed (DemonWar)  (kerzain)
network message no longer does any delta compression if local
improved ravage sound (DemonWar) 
changed expansions min version to 1.013
fixed vortar guardian krall spawn rate (DemonWar)  (DeathKnight1728)
toned barbarians down a little bit (DemonWar)  (Sinister Stairs)
increased demon control strength per level from 4.0 to 5.0 (DemonWar) 
increased max timeout for network messages at beginning that are bigger or need loading
fixed world size draw ordering on set up world screen
added NPC pace options on world setup (DemonWar) (Nobear)
fixed Eyes misprint (icecube)


1.012
-----
fixed extra poor town world modifier entry (DemonWar) (jeremyosborne)
fixed equipment spelling (DemonWar) (FloodSpectre)
fixed vanquished spelling (DemonWar) (Nobear)
fixed a wording issue in starving quest (DemonWar) (GreatStalin)
reworded mining quest text a bit (DemonWar) (FloodSpectre)
fixed Overlord has sent X to block gate text (DemonWar) (Nobear)
now place in quest list resets when shown again (Sandra/Steve)
normal pace in Demon War now goes a little slower (0.2) (won't change until a new world though) (DemonWar)
decreased unhappy traitors useweight from 0.25 to 0.20 (DemonWar)
moved mismatching version check to be before other database things so get more useful critical error
decreased rylor bomb UseCheckTime from 1.0 to 0.5 (DemonWar) (FloodSpectre)
added a little text to help with npc equipment (DemonWar) (jeremyosborne)
fixed a quest Location print issue
now mention that evidence is in town (DemonWar) (Brian Rubin)
reworded Rabbit's Paw achievement some (DemonWar) (jeremyosborne)
fixed skeleton warrior helmet placement
made starving quest a little more clear about the money part (DemonWar)
fixed invasion quest ending early (DemonWar) (GreatStalin)
no longer show skip button on invasion quest (DemonWar)
made invasion mode more reliably start (DemonWar) (Stardusts)
fixed weird vendor warning and vendors never leaving in non-expansion (jeremyosborne)
decreased stoneskin monster enhancements (Steve)
fixed Hordes spelling (Kruztee)
can no longer have multiple curses or multiple plagues at same time (Steve)
fixed no longer a town town luminary print (DemonWar) (Feral23)
decreased traitor debt use weight from 0.25 to 0.20 (DemonWar)
now correctly remove evidence when any evidence quest is failed (DemonWar) (joku)
now npcs that starve to death are always removed correctly (DemonWar) (Tori)
decreased rowdy modifier from 0.25 to 0.15 (DemonWar) (Caal)
decreased debt/starving quest rewards (DemonWar)
fixed a punctuation error in Circle of Power desc (DemonWar) (FloodSpectre)
reset invasion completed flag (DemonWar) (Nobear)
made anti-magic area a little less graphics intensive (DemonWar) (Archon)


1.011
-----
fixed orc special abilities in bestiary
added variant names to bestiary text
added velocityChangeChance to particles
added velocityChange to particles
added bounceHeight to particles
can now specify MaxLife for all entities
added jpg reading support
can now show logo at startup
hazards can now spawn other objects randomly
now liquids shouldn't stack on top of each other
no longer cap armor absorb percent print (Nobear)
monster skills no longer use mana (is just confusing)
status effects can now attach more than 1 effect
fixed attacks not always showing animations from monsters
doubled monster resistance enhancements
resistances work better on dots now
added clearEnemies to skills
fixed turning off XP numbers option (Castruccio)
fixed a dialog misspelling and missing word (Roswitha)
will no longer use up a health or mana potion if used but already full (NTJedi)
now get rewarded for quelling town attacks
now maxfps user var saves
added getGetAllDatabaseEntryValues to make database entry lists easier
no longer show time left on status effect text when on an item (not actually applied yet)
fixed an issue with spawning variant quests
added a generic way to start quests on new town setup
added a generic way to start world modifiers on new town setup
fixed gap in town3 wall
can now specify monster type or monster archetype directly in town attack quests
moved blink distance to database
can now tell beams to go in a random direction (randomEndPoint length)
got rid of old unlocks
simplified money prints
fixed gate-unlocking spelling (Roswitha)
now exe checks its version compared to data
fixed player double light
increased player light to match loss of double player light
rearranged world options
fixed divine intervention animation
removed light from a couple of objects
there is now an icon that shows if you are displaying item names or not
added switch places option to delivery NPCs (Roswitha)
now personal quests can lead to gifts
improved boss text slightly
added noDuplicatesOfSameType option to quests
added AlwaysMaxLevel option to quests
now note which variant is shown in bestiary
added movement speed magic modifiers
no longer set position if didn't move (minor speed/memory improvement)
made getAnimationIndex use a static array instead of dynamic (much less memory allocations/deallocations)
added a couple of temporary entity arrays for Game to use (much less memory allocations/deallocations)
fixed 2 memory leaks in ItemBase::clear
fixed money prints when 0cp
cast time now worth twice as much (Manumitted)
durability now worth less (Manumitted)
decreased cast time bonuses from magic modifiers from -0.02 to -0.015
chaos lord pet no longer uses fear skill
renamed buildInventoryData to copyInventory
added InventoryBase::copyGroup
moved town attacks to the edge of town instead of the town center
armor is doubled for critical hit calculations
resistance is doubled for critical hit calculations
now change 1, l, and L to I in keys to make them easier to type in
increased unique chest chance from 0.1 to 0.2
special rooms are no longer purged or respawned
spiders now leave spider webs that don't spread on their own (Bak/wasp3)
fixed some of the party member menus not selecting the entity correctly (jeremyosborne)
earthquake events no longer do any direct damage (can still cause cave ins though)
made it a bit easier to avoid cave ins
added autoClick to widgets that conditionally allows an automatic click a specified time later
can now set the user var autoStartServer to have the server automatically restart when world is won or lost
also added autoStartServerUseMin, autoStartServerUseMax, and autoStartServerLevelChange options
fixed Nequam's Tunic missing a modifier
improved some text for Slayer quest
made menu mergeWith able to override/add some commands also
now show world level in quest title to make it easier to find quests in the same area (Steve)
unique spotted quests can now spawn special rooms stuff
fixed a stat calculation ordering issue (showed up in hardiness) (NTJedi)
changed plate mail type Mithril to Platinum
changed plate mail type Adamantium to Titanium
decreased flaming arrow, poison arrow, shock bolt, exploding arrow, and serrated arrow time from 1.65 to 1.3 (Kris)
fixed basic axe skill using 2 handed axe icon (Steve)
fixed a potential crash in Level::hasHouse
now clear enemies when a sentient changes level
fixed blank town attack quests (Steve/Sandra/Scotty)
fixed some ui alignment issues on keyboard options screen (Sandra)
changed nevermind back to never mind
spider webs now catch on fire
increased monster armor from 6.0 to 8.0 per level
fixed npc attack timing
fixed zombie attack timing
increased needed experience a little after level 50
fixed quest variants not spawning correctly
fixed LevelCleared not being localized
increased traps health mult from 1.0 to 2.0
secret found no longer gets added to log file
Item in chest broken no longer logged
money stolen message no longer logged
decreased evil gate unique monster spawn chance from 0.1 to 0.05 (Steve)
increased holy shield obelisk from 10.0 seconds to 15.0
now check to make sure not adding multiple traps/fake traps to doors/chests/ground traps
fixed getBaselines clearing objects instead of deleting them
fixed 2 memory leaks in Sentient::addStatusEffect
safeguarded createSkin so don't make more than 1 skin
fixed 2 memory leaks in ItemBase::clear
fixed a small potential memory leak in Player::reputationLevelUp
removed extra clear in SkillListBase::clearList
fixed memory leak in swipe code
now leaving players in multiplayer game cancel quests correctly
changed PackedData::addFreePackedDataObject to delete object if too big and keep if small
increased max food stack from 8 to 10
now make retail price font size bigger if more expensive than current item
now there is a max time before a recruit a new warmaster/apothecary/steward quest comes up (Steve)
added fireworks to granted freedom reward (Steve)


1.010
-----
changed protocol number
fixed an npc level above level max problem (abomination5)
improved return to home behavior
now save actor original position
made solved by an npc text more generic
made it so treasure maps always generate a reasonable level for your current world
fixed a bug with poisoned supply quest starting
now print full path of where ctx files are written
now console wraps text
now print bad command to make debugging easier
added a command to hide player model (just doesn't draw)
increased skeleton arrow speed from 350 to 450 (Archon)
fixed Rawhide Shoulders background (FloodSpectre)
now spiders can't jump if blocked from using skills (abomination5)
now have to stand still for arrow skills
increased wisp damage a little
projectiles that have constant damage are now treated like damage over time (resistances don't work as well) (FloodSpectre)
now if something prevents movement for a while it gets rid of your path (Stardusts)
main gate now on world map (Amberjoy)
made 2nd difficulty at little easier (DeathKnight1728)
increased armor damage absorption a little (name here)
statues no longer show up on minimap (Roswitha)
stalker now gets a flat 40% movement speed boost instead of 10% per skill level (Stardusts)
made feint, jab, and sleight of hand better (DeathKnight1728)
fixed min level in SmuggledGoods quest
now remove delivery npc when time runs out
if npc dies trying to solve quests now fail their outstanding quests correctly (Bak)
now the 3rd parm to userVar in UI stuff is a bool that specifies whether or not to save user var (zespri)
fixed arrow skill speeds (Bak)
fixed death knight run animation bounds (FloodSpectre)
fixed another issue with renegade attacks (Aet)
fixed multiplayer error messages not displaying correctly because of loading screen


1.009
-----
fixed background of Tover's Dirk & Tore's Dirk (FloodSpectre)
fixed collision issues with Frantic Pit (Zost)
fixed collision issues with Scowling Den
fixed collision issues with town 7 (Bak)


1.008
-----
fixed weapons with 0 min damage not showing dps (Pendler)
fixed pricing on weapons with 0 min damage (FloodSpectre)
increased difficulty of higher difficulties
fixed Cave Fish plural (Colonel Blimp)
food and potions are no longer ever considered crappy (Archon/Amberjoy)
added uvMod Rotate <Rotation> to shader system (not tested well yet)
changed stairs up/down graphics on mini map & world map to arrows so they are easier to see (Oasisbhrnw)
fixed a collision mask issue in canReservePosition
fixed world collision getting in the way of shutting doors
fixed a lock issue with shutting doors (Archon)
doubled regeneration obelisk speed (Archon)
added a way that quests could specify min level from the next quest in the chain
made chaining quests get their min level from the next quest, not hard code the same number
game can now handle missing mda files
summons and offensive skills now require caster to stand still (easy to mod to old way)
changed the protocol version
now objects can specify a UseTip in data
now skills can specify more than one MonsterArchetype
fixed highlight text on attribute increase buttons
localized attribute increase text
fixed a small spacing problem on vitality text
changed left click text on skills to be cyan to be more consistent
now show green asterisk next to levels you have quests on in the gate teleport menu (Desticato)
won't get assassin's in town until level 10 now (Amberjoy)
increased fade time after death a little (Colonel Blimp)
now get can't raise monster message before getting rid of old monster (Colonel Blimp)
fixed a problem with renegade attacks sometimes not getting to town (Brysos/TheParthenon)
now world modifiers can add extra chance to monster enhancements
tag files are smarter about where they save now
ambient creatures now fade out
fixed spirit giving you magic resistance
now skills can specify more than 1 weapon type
fixed barbarian and luman npcs dying spawning dead body standing up
fixed a problem allowing Chaos Lords and Scree summoned at same time
fixed a potential crash in Game::getPotentialEntitiesInRange (Shining Soldier)
added a loading screen scale in database
added loading screen
added Immunities to actors
ice elementals are no longer effected by slippery surfaces (demoss)
brightness machine makes food less expensive (Mercanis)
fixed quilted sash background color (FloodSpectre)
if you teleport into dead space it should no longer update the map before moving you to a valid position (Amberjoy)
barkskin no longer shows on equipment (Cadfan)
increased Nature's Revenge, Shadow Bolt, Bolt of Gloom, and Thunderbolt casting times (ShivaX)
changed network protocol version
fixed reuse timer display when playing a same specialty hybrid (goodknife)
fixed npc health changing over a save/load (FloodSpectre)
now change unknown to verified to level X once you go through unknown gates (Cadfan)
now item rewards are put into inventory if you have room and only player in game (Shining Soldier)
fixed destroyed altar text (FloodSpectre)
on game screen, broken icon gives you list of breaking or broken items instead of generic message (FloodSpectre)
required quests will no longer spawn after winning a town (Max_Powers)
now a confirm menu when clicking on win town icon (Colonel Blimp)
now get rid of kidnapper if victim is killed (Bak)
fixed a loading screen blinking issue
turn speed is now lower for player
now if can't add entity will immediately try to purge old entities and try the add again
decreased click radius of dimensional gates (Bak)
decreased click radius of spiders
fixed loading screen breaking initial town map
pets no longer attack some objects even if player does (Colonel Blimp)
now pets will use your money/magic find stats (Colonel Blimp)
fixed morale penalty for fire and ice elementals
now if a monster or NPC is in fear, it shows a status effect (Etto)
changed fire elemental, scree, fury, and skeleton pets to be own monster type to make changes easier
now pet chaos lords, fire elementals, screes, furies, skeletons, and skeleton archers will use healthstones (L337GTIMKV)
increased set bonuses by 50%


1.007
-----
lots of effects improvements
some UI tweaks
improved Zealous Catacomb art
fixed Acid, Resume, defense, Shrink, Causes localization (DetlevH)
fixed Gain and Players localization (DetlevH)
fixed Eating/Drinking localizations (DetlevH)
fixed Shadow6bUnique localization (Bak)
fixed treasure hoard spelling (Roswitha)
added reloadTextures command
added Very Slow option
now save world options (so don't have to pick again next world)
made slow pace a bit slower
fixed backpack text (timeh)
Jacinda the bag vendor will now generally have more bags (Roswitha)
all attributes modifier now increases slower and is more rare (demozon/GreatStalin)
added monsters' special abilites in bestiary (henryke)
decreased dagger damage to match other 1 handed weapons dps
fixed a potential font crash
now show dps, armor, and defense in a larger font and in gold to highlight it better (henryke)
pets will now attack objects that the player directly attacked (demozon)
thieves can no longer disarm fires (Bak)
no longer spawn quest items from gargoyles/statues (Bak)
can no longer steal life from statues (Bak)
can no longer steal life from cave-ins or totems (timeh)
now after going to other stats on character menu, the character hotkey behaves better (timeh)
added in an option to turn off clicking on your pets to walking around easier with pets (demozon)
added resetOnChange option to scrollbars/lists
fixed a situation where teleport gate wouldn't show top of the list (udm)
decreased elite, artifact, and legendary spread mults a little bit
fixed missing or extra modifiers on Annihilator and Draaien's Axe
big pass on set, elite, & artifact items (some of this will effect current items and some won't)
fixed missing or extra modifiers on Medallion of Clavros and Criar's Ring
added an option to hide crappy items
can now close doors by clicking on their alt text (Amberjoy/udm)
fixed traitor quest not leading to the correct renegade (Valgor)
traitor quest now has a min level
next/previous enemy stuff now only selects monsters (timeh)
decreased spawn chance of dark elf assassins, priests, and wizards (LordBlackangel)
fixed some issues with drops at high levels (graffen69)
now get a reputation bonus each time you save a town (graffen69)
might have fixed an issue with auto attack mod (joku)


1.006
-----
moved combustion2.tga & blueRing01.tga from expansion to base game (Archon)
added a note in the manual about AppData being hidden by default (Hagaar)
now use smaller font for mouse wheel function & keyboard layout so text fits (Ghoulgoat)
added command to test all effects for missing textures
fixed priest skill hit effect
fixed a couple more effects


1.005
-----
localized Legendary, Dagger, Close, Accept, Bestiary, Inventory, Minimap, Money, Cancel, TeleportToGate, Manastone, Healthstone, Size, Health, Damage, DPS, damage, Entering, and lvl (DetlevH)
fixed Solve localization (DetlevH)
fixed armor & Durability localization (DetlevH)
fixed Windows patch installer to be smarter about picking directory to install to
fixed some stalker/kodiak animation issues when holding a bow
made Taris slightly easier (m0stly_harmless)
now print info to screen & console after taking screenshot
moved key location on mac where non-admins could write to
added a don't color code equipment option
fixed too many fire/poison explosions at once being too loud (Saxman_72)
now destroying a chest has a chance to break an item it contains
made stairs click collision much smaller
made fire/poison a little quieter (Saxman_72)
added dangerous monsters world creation option (Backwood)
added clumsy character advanced option (DeathKnight1728)
no longer automatically solve all quests in won town (Roswitha)
position in list ui (like getting quests) now behaves better when an item is removed
inanimate objects no longer considered sentient
auras from things like totems no longer effect inanimate objects (Archon)
fixed a Failed Quest Slot Empty Quest problem (Archon)
now use English as a backup if missing any translations, makes new stuff work better (DetlevH)
now turn towards what you are attacking more when moving
there is now a way to turn off the xp abandon penalty in database for non-hardcore characters (Jorlen)
added a very fast pace world option
more UI tweaks
lots of effects improvements
some ground and environment texture improvements


1.004
-----
fixed a texture animation issue when have 2 textures
added some more info when ChangeDisplaySettings fails
logfile now defaults to on
fixed some of the war against town text (fab)
fixed highlighting minimap dots in perspective view mode (Roswitha)
fixed scroll bars on world map (Caal)
drop down for languages no longer will pick up English twice if zipped and loose files
fixed changing a graphics option that resets the graphics, forgets the current gamma setting
no longer turn towards clicked on enemies when dead (Roswitha)
added alpha to teleport stone icon (timeh/Godot)
moved view variables into user vars
now monsters with quests are not solid so they don't trap you places (kaeldragor)
a little bit more UI improvement
improved a few effects


1.003
-----
fixed DemonMastery StatusEffect icon (Caal)
fixed frustum spelling
now cull properly in perspective mode
fixed lich control status effect icon (Valgor)
added perspective view mode
perspective user var and ui
added addsTo for database entries (like overrides, but adds to array type things instead of overriding)
now only calculate _viewConversionFactor at beginning
shadows can now be on objects with transparency
added an option to turn shadows on for world objects
moved shadow light position to lighting system
improved UI
added lighting to models on main menu
added lighting to models on new character screen
sped up perspective mode slightly
added new shadow option to highest settings option
improved model culling (speeds up ortho & perspective modes)
changed perspective view to the default
added new perspective option to highest/fastest settings options
now most bushes/trees sway slightly with the wind
added r_detailModelMovement option
added new detailModelMovement option to highest/fastest settings options
added draw player helmet option (Roswitha)
added more room to game options screen
fixed being able to fail some quests right after solving them (Roswitha)
fixed horror teleport effect (Valgor)
removed compressed textures option from ui
added character export to logs when win or lose town
decreased normal monster dropping item chance from 0.25 to 0.2
now draw secondary item text first so it is behind primary text in case they overlap (Aet)
changed starting backpack to 16 slots, no longer get extra bag though
fixed built a statue typo (Roswitha)
now hide long keynames on used use slots (Roswitha)
fixed keyboard options screen not fitting on normal monitors
changed fewer magic items words (Roswitha)
fixed poverty typo (Roswitha)
changed poor to dirt poor (Roswitha)
fixed half of the health wording issue (Roswitha)
clarified honorable death description with text mentioning not permanent unless in hardcore
mini-volcanos no longer get in the way of rescues (Haigdul)
decreased area heal reusetime from 10.0 to 8.0 (Jorlen)
increased lifeburn damage over time (TheRani)
oil, acid, and magma traps no longer allowed on random objects (Roswitha)
added a little more text about leaving or dying to meeting quest text (Valgor)
fixed frost nova not destroying doors (Aet)
now abandoning a town gives you a bunch of xp debt
create new world now tells you when it would be abandoning a town and warns about stats/xp debt
fixed new character with multiplayer and then the first singleplayer game counting as an abandon
npcs can no longer complete new apothecary quest (demoss)
sped up LightingSystem::getLineOfSightIntensity a tad
objects that you have already seen blink out of sight less now
now only update world map after moving
fixed some issues with Din final quests (Pheelon)
renamed Din's final quests to be a little more significant
muscipula plant and broken barrels no longer fade out because they are in the way
increased difficulty of champion, elite, and legendary difficulties (Inspired)
culled entities now fade in better
fixed a roof fading out issue
added triple buffering to troubleshooting section of manual
added a min level to smuggled goods quest
now lose a little reputation after smuggling quest (Inspired)
fixed war quest not always spawning monsters correctly
fixed dark elf assassins shadow
now game fails town if apothecary dead & steward petrified
fixed dying from an object not incrementing your death counter correctly (Bugbear)
failed meeting quests no longer spawn unique monster quests for killed meeting members (random_rolle)
fixed weapon speed modifier not working correctly on armor pieces (Robin)
renegades can now respawn again if they were lost somehow
now check if npcs can see enemies that would prevent a rescue (Haigdul)
now spawn a little more cursed items when playing cursed characters (TheRani)
decreased treasure find elixir per level bonus from 5 to 2
increased armor & weapon stands magic chance
made money chests better
solving Din's final quests now open next difficulty correctly (demoss)
fixed a couple collision issues in Vehement Chambers (Kirk)
fixed weird auto solve issue when a new monster gets added to a unique group (Valgor)
fixed a 1 off issue with weighted random numbers


1.002
-----
changed item glow to match item colors (Valgor)
now build.cfg controls whether or not manual link appears
get info on mac now shows version correctly (Aet)
treasure quests no longer tell you about any reputation gain (Caal)
respecing skills with status effects now works better (TheRani)
can now select other players with F1 - F8 (Aganazer)
fixed key select background
fixed duplicate input background
now only show hotkey on use slots if hotkey name is one character long
added a Ways Back to Town help topic
added Ways Back to Town to manual
stunned monsters (and others that can't move) can no longer block, dodge, evade, etc. (Heinosity)
fixed Egg Sac spelling (Roswitha)
Dark Elf Wizards should no longer be able to cast Ice Storms through walls (Heinosity)
now npcs in town look towards the center of town
townspeople now look towards danger in town (Framistan)
decreased shatter & bone shatter damage
spells like frost nova can no longer go through walls
fire elemental now has a 2 minute reuse time, but is now much more powerful
hidden creatures can see through stealth a little better now
fixed a way that a summoned creature could attack player (Teddy)
fixed liches not following the leader correctly (Roswitha)
fixed looking for some steel wording (Roswitha)
added deadly poison icon (Valgor)
increased area heal mana a little, but heal a lot (Jorlen)
fixed some trap names (Kruztee/Roswitha)
made town attack ending a bit more full proof (Roswitha)
quest monsters can no longer get upgraded (Roswitha)
changed protocol version
added advanced Ego mode (half xp for achievements below your level)
added advanced Unlucky mode (-50 magic find to start off)
added advanced Poverty mode (-50 item find and -50 money find to start off)
added advanced Honorable Death mode (losing the town kills you)
added advanced Fragile mode (half health)
changed skill power needed to a float for a bit more control (Magitek)
chaos lord summons no longer use the earthquake skill (a little safer for the player)
summoned chaos lords no long make stomping noises
increased health/damage of summoned chaos lord (iligiann)
increased mana on block/parry for defender & paladin from 0.5 to 2.0 (elsol69)
fixed getting unique monsters in monster quest (Annalisa)
changed personal gift chests from basically small to large chests (Kruztee)
monsters that give quests and other neutral monsters will no longer attack pets (Kruztee)
crushing blow item magic modifier now applies to magic crushing blow also (Stardusts)
critical hit item magic modifier now applies to magic critical hit also
made holy fire a bit more powerful (iligiann)
fixed gabardine spelling (Roswitha)
can now walk through ghosts that have revenge quests (Marcin)
mini-volcanos no longer show dot on mini-map (Valgor)
totems are now considered inanimate, no longer break stealth (viper34j)
quest monsters can no longer fall down pit traps (Aganazer)
names for keys, flaming oil, and ice bombs are now white to see them a little easier (graffen69)
added some grass to town centers
fixed yellow crystals not glowing
each crystal color now glows at a different speed
added a little bit more clutter to some of the dungeons
skulls no longer have collision
set, unique, artifact, and legendary items now get better automatic damage/armor bonuses


1.001
-----
updated some credits
now have to have more of an attribute than the curse on an item to equip it (iligiann)
fixed mana regen from an item doesn't change mana regen stat (TheRani/Kruztee)
added Please Start a Server to No Servers Found message
can now pause in a multiplayer game if only person in the game (graffen69)
fixed masteries not working with shockbolt & flaming arrow (Magitek)
no longer get experience for destroying cave-ins
gas leaks no longer get destroyed from frost novas (Valgor)
fixed PerceptionTrapText (Valgor)
rearranged character damage numbers slightly (Valgor)
fixed if you like 'em blunt typo (Valgor)
fixed has been built to serve missing word (Aet)
fixed suspicious typo (Valgor)
fixed wars modifier description (Annalisa)
rewrote shatter description a bit to make when different damages happen more clear (elsol69)
fixed Demon5bUnique (Kruztee)
bags, food, drinks, and potions now display a different color (graffen69)
fixed chests going over max level (sammage)
fixed blank kidnap quest (Caal)
fixed a town attack saving issue
fixed hunters going missing sometimes (Caal/Kruztee)
fixed scouts & assassins going missing sometimes
added din status to player title on character menu (Valgor)
fixed some issues with rain (Annalisa)
fixed an issue where lighting would cause crazy colors sometimes (Annalisa/Cadfan)
cave-ins can no longer be eaten by scavengers :) (Valgor)
fixed alpha issue on naga priest headpiece (Valgor)
changed conjuror anims on character creation screen to be more representative (Valgor)
fixed choose specialty screen on non-widescreen resolutions (Valgor)
aligned scrollbar on solve quest menu better (Valgor)
fixed showing duplicates in screen frequency drop down box (Valgor)
added some more text to berserk skill since it's damage relative to a normal attack is confusing (Martin)
fixed She ain't for sale typo (udm)
fixed cave-ins going into respawn pool (sammage)
canRespawn is now saved/loaded in actor
now quest monsters that can walk through walls wander around so they never get stuck in an area the player can't get to (TheRani/incognoscente)
renegades can no longer be accidently created based off of monsters (Valgor)
fixed cleave at skill level 3 not showing damage (fishejim)
fixed whirlwind at skill level 4 not showing damage 
stealth and escape notice no longer work on hidden enemies
now changing from main stats to other stats doesn't have a pause blip (Valgor)
plague now spreads even if above your level (udm)
now can mark quests to keep spawning new events even after completing but before solved
now show player level on main screen next to player name (henryke)
doors trap also locks nearby doors now
changed stunning blow from +2% to +base*1.1 each level to be more consistent (Cadfan)
fixed fog sometimes transparent instead of additive
now save actor hasDiedBefore
no longer print death messages for npcs if they die more than once (udm)
no longer get double xp when you have escorts
now final Din quest reward chests always have at least one artifact or better item (udm)
petrified npcs can no longer try to solve quests (TheRani)
now worlds lower than level 7 have less initial quests
now worlds higher than level 20 have more initial quests
overrides mod stuff now works with lists of things like StartingItem (The_Dajaw)
added a way to mod the UI without over writing an entire UI file (mergeWith command)
can now add loose trn files so that mods can add or override text without over writing an entire trn file (The_Dajaw)


1.000
-----
Official release
removed beta stuff
changed version to 1.000
added beta testers to manual credits


0.912
-----
fixed female escort npcs not having weapons
escort npcs can now use objects like lifestones to heal
added a Fight with X quest
added a mini-volcano object (L337GTIMKV)
quest monsters now ignore level difference for aggression purposes
can now mark things are DontSave easier
volcano magma no longer saves
holding position will now interrupt movement when on the way to attack/talk/use (udm)
added a show clock option (Arlow)
added more room for options on game options screen
fixed keyboard options background
added game time to player logs (FloodSpectre)
earthquakes and cave ins can now damage objects
added a hotkey to target next enemy in sight (Valgor)
added next enemy in sight to possible mouse wheel actions
now when an npc dies they leave behind a lootable body (Cadfan)
tweaked steam max distance stuff some
rearranged character menu a little
added Other Stats page to character screen
added perception, disarm trap, lock picking, armor piercing, and light intensity to Other Stats page
added critical hit, crushing blow, stunning blow, and deep wounds to Other Stats page
added critical heal, magic critical hit, and magic crushing blow to Other Stats page
added find extra money, find items chance, magic find chance, health regen, and mana regen to Other Stats page
removed base mana regen from intelligence and spirit regen print info
changed protocol number to 6
fixed escaped prisoner text (Gorgarax)
added a starting message to each town
now print world modifiers at beginning of each town
earthquake entities no longer save (Aet)
added mini volcano to magma world modifier
the town now sometimes erects a statue for the hero (peirceg)
now show time left on status effects (Aganazer)
increased support beam spawnchance from 20.0 to 50.0 (udm)
improved background on create character screen
improved choose specialty screen
improved background on keyboard options screen
moved canSee stuff from Sentient to Entity
now projectiles like Arcane Swarm will only target enemies in sight (Aganazer)
made a slight change to player movement that might fix an issue on really fast computers with monitor sync off
now npcs sometimes give the player random gifts
now sometimes npcs rescue themselves (peirceg)
regen obelisk now scales with level (Cadfan)
now Din's quests are no longer tied to world difficulty (Gorgarax)
increased large reward chest IncreasedMagicChance from 1200 to 1500
fixed quest solved text not printing
changed show solved text to gold to stand out a bit more
fixed decline quest background (FloodSpectre)
ice storms now leave ice on ground that doesn't save
fixed starting next quest in line if first was a bad quest (leads to 1000s of quest tries)
holy shield obelisks now absorb all damage for 10 seconds instead of 200 damage or 30 seconds (FloodSpectre)
made stuns not work on inanimate objects (getter77)
fixed a problem when invisible creatures are also gargoyles (Arne)
now monsters from meeting quest stick around if player fails the quest (Cadfan)
now monsters won't specifically try to build machines until level 5
now new lights fade in
increased torch LightFalloff from 30 to 40
Earth Mastery no longer says improves Earth Link (Eisenfaust86)
item procs no longer interrupt skills (L337GTIMKV)
changed Object has been destroyed message slightly (FloodSpectre)
keys now properly get used on cursed characters (Caal)
fixed LightRed color name
changed the lich texture (Iane/Kreb)
unknown gates no longer have sound (Cadfan)
nagas/saurians now hate dark elves and vice versa (FloodSpectre)
added a Wars world modifier
fixed reseting teleport stone correctly after winning a town and going straight over to a new one (TheRani)
hidden quests are a bit faster (good consequence and makes them known sooner) (Worthstream)
zeal has a little more variety to sound now
fixed a faction saving issue
now try to start the world with the deepest quest being one of the more epic quests
can no longer get multiple conditional hits because of 1 trigger (like riposte/block)
monsters can no longer hide if they are a quest monster
fixed quest question background
made Cleavers, Great Axes, Blades, Pugios, Double Flails, Studded Maces, Giant Hammers, War Martels, War Staffs, 
  Falchions, Machetes, Flamberges, and Great Swords 10% slower (tg122)
made Franciscas, Tomahawks, Executioner Axes, Stilettos, Flails, War Mauls, Quarterstaffs, Rapiers, Sabers,
  Warlord Swords, Warrioress Swords 10% faster (tg122)
decreased unknown gates spawn chance from 2.0 to 1.5
added town name to win screen
added biggest accomplishment, most impressive kill, quests, and npcs killed to summary on win screen
ice elementals now leave behind temporary ice (RoanokeKeeper)
added 4 voice overs for Din quests
fixed text for Din's busy work quest
increased quest time mult in fast pace option from -0.333 to -0.4 (Cadfan/udm)
stress test stuff can now be turned off
no longer print fail quest message with no quest title
fixed shrunk text from assassin and scout
monsters attacking town now tell you why
monster scout quest now prints message about why you failed
fixed some more quest punctuation
now normal attack skills in right click slots (and others) update correctly (tkirby2003)
fixed a bunch of typos in the npc chats (FloodSpectre)
added an all attributes magic modifier (L337GTIMKV)
pets now default to aggressive
now can change the stance of your pets (aggressive/defensive) (Heinosity)
pet skeleton archers now shoot faster and have homing arrows (incognoscente)
summoned skeletons now start out faster
added a check to make sure unique monster spotted are indeed at least unique (FloodSpectre)
fixed a group success issue
added DSL to min internet connection for multiplayer
right clicking on a door when an attack skill is setup for right click will now use the skill (bbragnar)
fixed unknown gates confusing world map and taking place of normal gates (transigent8)
fixed background on some multiplayer screens
now save key file out with better permissions on Mac (Nightwand)
fixed some editor backgrounds


0.911
-----
fixed reputation bar going a little too far
fixed background on confirm win and win screens
fixed evil artifacts getting deleted (erbgor/Heinosity)
added a safety check to level item type of quests (on load if not enough reset spawn flag)
now check to make sure level items spawn before turning off spawn flag
fixed a shared handles issue with names that contain spaces
fixed a small monster group split issue
decreased skeleton warrior spawn chance from 4.0 to 1.0
now isQuestMonster check automatically considers unique or better monsters quest monsters
fixed a problem with new monsters joining a monster group (rmielech)
now unique spotted quest will respawn monster if no longer there
fixed minor problems with assassin, scout, and hunter quests across saves
now revenge quests will respawn monster if no longer there
now boss quest will respawn monster if no longer there
now monster group quest will respawn monsters if no longer there
fixed monster group not always setting monsters as quest monsters correctly
fixed display bug on items that have things like crushing blow (Kruztee)
fixed some capitalization issues on a few items (FloodSpectre)
fixed some capitalization issues on some skill names (FloodSpectre)
capitalized Recon Totem in quest stuff (FloodSpectre)
fixed ambient spiders using the wrong textures
object/event type monsters are now considered inanimate
inanimate monsters can no longer get promotions (Cadfan)
fixed a typo in stamina section of manual (Gorgarax)
made entity lists verify valid level before attempting to add or remove an entity (kallisti_dk)
fixed disarm trap sound (ecliptic)
fixed some more places where poison gas was too loud
fixed a few quests that had double punctuation (FloodSpectre)
improved Lock Pick description (FloodSpectre)
fixed attribute highlights now always color coding current number correctly (FloodSpectre)
made ranger traps a little quieter (Gutsman)
fixed a spawning issue with enchanter items (FloodSpectre)
fixed War Club capitalization (FloodSpectre)
changed one of the win texts to match the voice over (Aet)
fixed some health display issues with doors (bbragnar)
fixed ball lightning trap to not spawn at enemy's location (incognoscente)
now fires are limited to a max number per spot


0.910
-----
now try multiple times to start a quest if chance check fails but something is wrong with quest
made petrify quests valid more often
now a small chance that lots of people are petrified at beginning of town (getter77)
added IgnoreWidescreenCenter option to widgets
fixed background not extending to edges on main, ingame, and quests menus
added a shrunk quest (getter77)
fixed background on setup world screen in widescreen mode
added a lever that can unlock a gate somewhere below
added a quest to find a gate unlocking lever (Cadfan)
finally fixed a rare issue a bunch of text in the title screen was blocks (SharpCarlos)
fixed background on confirm turn off help screen in widescreen mode
increased lockpicking & disarm trap perception bonuses from 5 to 20
increased intelligence perception bonus from 1.0 to 3.0 (Valgor)
increased perception magic modifier bonus from 1.0/0.4 to 5.0/1.5
decreased perception value from 5.0 to 2.0
increased lure starting and level gains per level (L337GTIMKV)
fixed oil & ice no longer being slippery (Valgor)
disease clouds no longer stack
fixed a minor alignment problem with pet health bars (incognoscente)
now clear enemies a bit better on raised monsters (incognoscente/viper34j/Lyranaar)
added 8 Super Boss quests
normal npcs sometimes drop item rewards for quests now
no longer update damage dealt and damage at once stats when have instant kill cheat on
fixed return to npc text on some personal npc quests
changed protocol number to 5
now quest text tells you why the quest was failed
now get a better message when target npc on delivery quests leaves
no longer check item and magic requirements on explicitly specified magic modifiers (FloodSpectre)
fixed dynamic stat modifiers not working on items (FloodSpectre)
killed rescue, escprt, or delivery npcs can now transition to ghost revenge quest
reworded ghost revenge quest text a bit
more than 1 of the same unique monster can no longer spawn
now monsters can "upgrade" from normal to champion to elite to uniques with kills
monster kills of npcs and players now have better chance to upgrade monster
now uniques, monster groups, and bosses add to their success per kill
fixed InCombatPowerGainMult (Cadfan)
added Vendors Galore world modifier
normal items now get an above level chance and level boost
common magic modifiers now get an above level chance and level boost
now dagger is higher priority than staff on starting weapons (Cadfan)
added disarm trap magic modifier for items (FloodSpectre)
fixed talk to part of personal delivery quests
now group quests verifies that monsters were spawned correctly
fixed a small spacing issue on champion names
fixed incorrect death message when killed by an earthquake (Cadfan)
added gravestones (chest but reputation hit)
added Tomb special rooms (3 versions) (rune_74)
added Teleporter special rooms (3 versions)
added Torture special rooms (3 versions)
added an apostrophe to Demon Mastery description (FloodSpectre)
fixed missing punctuation in Hostage Question (FloodSpectre)
fixed Longbrook spelling (FloodSpectre)
fixed assassin quest text issue (Valgor)
improved low mana help topic (FloodSpectre)
moved HealHateMult to database
decreased HealHateMult from 1.0 to 0.33 (Lyranaar)
now check sight on raise dead monster behavior (L337GTIMKV)
increased lich raise time from 2.5 to 5.0 (L337GTIMKV)
fixed a bunch of magic modifiers not scaling correctly (mostly procs) (L337GTIMKV/Cadfan)
ice elemental/horror ice bolts are no longer homing (L337GTIMKV)
increased weapon/armor stands magic chance from, 250 to 400, was same as bronze but less items (L337GTIMKV)
can now raise dead on fading out bodies (incognoscente)
no longer get weird npc chat about killed machines (FloodSpectre)
decreased fire elemental cast time from 4.0 to 3.0 (Cadfan)
Shuriken now scales a lot better (TheRani)
added a deep wounds bonus to Shuriken (getter77)
increased whirlwind damage mult per level from 0.075 to 0.1 (Cadfan)
increased cleave damage mult per level from 0.1 to 0.125
fixed a problem where monster is registered as it's own killer (Worthstream)
toned down the totem effects some (L337GTIMKV)
renegades, prisoners, and Din's Cursed are tougher now
fixed background on resurrect and bestiary screens for widescreen centering stuff
now show dead hardcore characters on select character screen (Fosse)
made pit traps a little smaller
added bigger versions of alarm, spawn, and pit traps (getter77)
added highlight text to online manual button
added attributes to manual (Fosse)
added some of the stats to the manual (Fosse)
added special hits to the manual (Fosse)
added quests you don't have and gravestones to reputation help topic
added damage/armor total note to manual (Fosse)
added ego text to manual (Fosse)
added fragile materials to manual
added secret doors to manual
reworded bash stuff in help topic and manual
added more quest information to manual
added objects to low mana help topic
added can't move bags text to stash help topics
added drop consumbles on npcs tip to manual
defensive totems now have yellow health bars instead of red (FloodSpectre)
fixed an issue with dps, max health, equipment, and inventory worth global journal stats (bbragnar)


0.909
-----
inanimate objects (like cave-ins) no longer prevent you from talking to npcs (Archon)
summoned pets will no longer destroy things like lifestones just because the player accidently damaged it (Howler/Archon/cthonic/Flailsnail)
now get xp for killing monsters that have been turned into undead (Cadfan)
fixed not enough mana beeping too much (Cadfan/Iane)
now can walk through pets
added MaxCount support to sound banks
now wood fires and poison clouds sounds have a max times they can play at once (incognoscente)
made auto collect money sounds a little less loud
added pickup items only by text option (Valgor)
fixed vendor issue with new stack split stuff (Valgor)
fixed an auto collect gold sound problem
now show player name, level, and location when you highlight their health bar on the side of the screen in multiplayer
boosted a lot of unique and set weapons
boosted a lot of unique and set armors
made Menace Mausoleum wider
made skeleton warriors a bit tougher
fixed skeleton ego enemy saying skeletons twice (Rockstronaut)
fixed IceWeaponPowerUpName/IceWeaponPowerUpDesc (Rockstronaut)
fixed FireWeaponPowerupName/FireWeaponPowerupDesc
fixed explosive barrel damage not scaling correctly (L337GTIMKV)
increased holy fire per level damage from 2-6 to 2-8 (Rockstronaut)
added rare unknown gates that teleport you down to a gate somewhere below (Archon)
decreased chance of totem/obelisk/etc type quests from 0.1 to 0.05
totem/obelisk/etc type quests are now optional (Cadfan)
fixed text in Kracht's Altar quest
now count human kills (FloodSpectre)
now things that start fading out to be removed are set to non-solid instantly
added a bit of explanation to scout to treasure quest transition (Cadfan)
increased fast pace option a bit (Cadfan)
decreased town attack sound volume from 0.7 to 0.6 (Desticato)
fixed a small problem with auto collect gold
increased attribute magic modifiers from 0.2 to 0.3 per level
increased health magic modifiers from 1.0 to 1.5 per level
now quests move a little faster with more players in the game
no longer get choice to load existing game if no world save (Lyranaar)
now conditional attacks can't get cut off in the middle (FloodSpectre)
haunted modifier now has more ghost revenge quests (getter77)
actors can no longer move if hidden (Cadfan)
fixed getting can't use yet right after successful use (Caal/FloodSpectre)
added online manual button to in game menu
fixed mouse internally clipping to the edges of the screen
now ui in widescreen modes centers instead of streches
added ui_centerWidescreenUI option so people can turn it off if they want
fixed issue with shrink and stoneskin (Cadfan)


0.908
-----
added to credits
fixed level 1 scree showing up in higher levels (Gorgarax)
fixed throw cursor on Mac
fixed keys, flaming oil, and ice bombs not spawning correctly at higher levels (Kruztee)
added a quest from the vendor (essentially a bet)
now experience is last part of quest reward so that other level related rewards behave a bit better
monsters will no longer attack traps on the ground because they hurt them (FloodSpectre/Wantonius)
changed Next Enemy key name to Next Enemy in Melee Range (Howler)
shift left clicking on a stackable item now splits 1 item from the stack (Howler)
now auto pick up money if no other players in game
fixed serrated arrow deep wounds chance (Caal)
fixed a couple more places where delivery/retrieve wording didn't match correctly (Cadfan)
difficulty level is now reset when you enter setup world screen (timeh)
now check if npcs are petrified for fail condition (tkirby2003)
updated Staying Alive/Death in manual
better explained using skills in help/manual
added Inventory Screen help topic
fixed SwitchTo2ndWeaponSet / SwitchTo1stWeaponSet
now color code weapon set I & II with green and red depending on if you have a weapon equipped or not
if enter dungeon with no weapon now warn player
fixed a double plural issue in one find quest (FloodSpectre)
should now get credit for kills when you break a poison barrel and it kills a monster (FloodSpectre)
fixed CastTime
curses now have an area of effect centered at mouse (cthonic)
decreased curses duration from 30.0 to 20.0
fixed a skill/animation timing issue that is more noticable on skills like zeal (Gutsman)
now reaction skills like riposte will work on auto target (Nemhir)
now magic critical hits count in combat reaction stuff (Nemhir)
the noise range on pain is longer related to victim's aggression range
now thief's Concentration: Poison skill boosts archer's poison arrow skill (FloodSpectre)
now show chance to pick lock on lock pick skill (FloodSpectre)
got rid of File/Edit menus on Mac OS bar (Amberjoy)
picking a lock now gives you an extra chance to disarm any potential traps also
completely reworked stored lightning skill (Gutsman)
fixed a or an issue with untranslated text (icekrystal10)
fixed some spells like ShockWave checking if can see mouse position when it shouldn't
increased alcohol, acid, and magma AddAdditionalChance
increased alcohol, acid, and ice spread chances
now spiders can spawn webs just as obstacles for enemies (getter77)
now can choose slow pace, normal, or fast pace on new world (Lyranaar/derailed)
increased level up volume some (Lyranaar)
reworded location for some quests to One Possible Location (Archon)
now get a health bar for person you are escorting (Ephemera/Flailsnail)
can now switch master server zones without leaving game (Twotricks)
increased most set bonuses


0.907
-----
fixed thief quest being insanely fast (left some debugging stuff in) (L337GTIMKV)
paladin mail skill no longer maxes at skill level 1 (timeh)
fixed ShadowSlayer having frost nova proc (now arctic shard proc)
increased ColdImbued3 ExtraMinDamagePercentCold from 0 to 25
decreased FireImbued3 damage from 100/200 to 75/150
decreased LightningImbued3 damage from 100/200 to 75/150
decreased PoisonImbued3 damage from 100/200 to 75/150
decreased ElementalImbued3 damage from 100/200 to 75/150
decreased Berserk mana from 6 to 4
increased item proc chances by 50% (L337GTIMKV)
decreased changes of renegade causing problems (they are more active as it is) (L337GTIMKV)
reset fog of war on world map now makes an exception for gate positions (Cadfan)
increased monsters resistance per level from 2.0 to 3.0
changed holy bolt text
decreased holy bolt damage slightly from 5-15 to 5-13
thorns and fire shield monster enhancements now have a limited range (ShaggyMoose)
fixed secret doors that are attached to triggers
fixed a bunch of poison spellings (L337GTIMKV)
fixed Yuxi's Gloves (FloodSpectre)
changed protocol version to 4
added a teleport stone that can be used once per world
increased Death Knights defense mult from 1.0 to 1.5 (FloodSpectre)
fixed fake orc texture (Valgor)
fixed treasure horde wording (FloodSpectre)
fixed weren't quite dead typo (FloodSpectre)
reworded 1 of the war against town quests a bit (FloodSpectre)
reworded secret doors help topic a bit (FloodSpectre)
fixed a way where a monster wouldn't get spawned in monster group quest (FloodSpectre)
fixed net trap doing damage that was not intended
fixed normal bow attack and serrated arrow skill never getting deep wounds (L337GTIMKV)
fixed deep wounds status effect getting overwritten by other effects (causing multiple issues) (L337GTIMKV)
increased shock bolt stun chance from 0.1 to 0.2
decreased guardian damage mult from 4.0 to 3.5 (Cadfan)
fixed an additive problem with fire shield effect (Cadfan)
increased ResistancePerSpr from 0.1 to 0.2
improved fonts (phanboy4)
fixed frost effect on Targs (Valgor)
fixed retrieve information quest event text (Valgor)
fixed menu on retrieve information quests (Valgor)
made berserk more powerful to balance out defense penalty (L337GTIMKV)
fixed zeal missing effect
made some of the imp sounds quieter (phanboy4)
made poison cloud sound quieter (FloodSpectre)
increased value of attribute bonus on item from 10.0 to 20.0
npcs will no longer solve monster quest items quests (Ikarius)
changed ball lightning effect
now get credit for Scarabus kill if you are the last to damage if they suicide (Lyranaar)
fixed Dark Elf Mercenary plural (Wantonius)
holding down a number to attack a locked door no longer makes locked sound (timeh)
now summoned monsters get 50% of player's level as a bonus (L337GTIMKV)
decreased summoned monsters level to compensate some for player level bonus
fixed crash in editor when turning on full level mode (GeorgiaBoy)
now statues start fading out instantly
changed elixir, resistance potion, health potion, and mana potion models (icekrystal10)
item/object names don't shift around as much anymore (Cadfan/derailed)
now visit website stuff no longer waits for successful starting of browser (BigWeather)
now dark elf warriors use more variety of weapons and helmets
now dark elf assassins use more variety of weapons
now dark elf priests use more variety of weapons and helmets
now dark elf wizards use more variety of weapons and helmets
now scree use more variety of weapons


0.906
-----
fixed not getting highlight difficulty options right after winning or losing a town (Cadfan/Ephemera/wunar)
fixed paladin mana bonus per spirit
fixed changeling fake names (Rockstronaut)
increased MaxItemGenerationTries from 10 to 75 on ring vendor (wunar)
added altars, healthstones, and lifestones to low health help topic
should now always see your damage even if really far away (viper34j)
fixed horror ice storm
decreased serrated arrow damage mult from 0.4 to 0.15
decreased dark elf priest bolt damage mult from 2.0 to 1.5 since it's magic damage (Spect)
made stalker a little less powerful, but no longer has a reuse timer (Lyranaar)
made kodiak more powerful
NPCs can no longer find lost items in the dungeon (TheRani)
added some text to escort quests about not being able to follow you through gates (TheRani)
fixed shading out other menu buttons on quest screen
now quests check to see if have or can at least spawn return to npc (Kruztee/getter77/Nemhir)
monsters that can give quests can no longer be uniques (Gutsman)
made walls fade out a little more (spelk)
improved ! in smaller fonts a little bit
escort quests don't need to escort quite as far any more
the game no longer changes the gamma if set to 1.0 and hasn't been changed already (Ikarius)
now check better that boss quest is valid (Cadfan)
fixed some targeting issues when have an object selected
now get vendor has left town messages (getter77)
fixed punctuation on a lot of quest announcements (FloodSpectre)
mana regen effect is now blue (Archon)
now lifestone/altars have mana and health regen effects
fixed shrink trap getting rid of flame blade (Cadfan)
changed Din's Altar status effect text to Din's Blessing (Valgor)
chaos lord summons are now faster (Warlock)
no longer let monster level offset be too high for difficulty level (Cadfan)
changed protocol version to 3
now many of the quests will change to obsolete instead of outright fail (viper34j)
only lose half reputation loss if obsolete quest as opposed to failing a quest
now get xp when fires you started kill things (Aganazer/vomitousinsight/Cadfan)
now mouse wheel works on scroll bars (Aganazer)
decreased cave in health mult from 4.0 to 2.0
decreased dimensional gate spawn rate from 1.5 to 0.75
improved collision on armor stands, weapon stands, and lockers in town (Cadfan)
no longer show health bars on open doors (Cadfan)
fixed a timing issue when attacking with mouse buttons and with keys at same time (Aganazer)
added some variation in cower timing
enrage now distracts and disrupts skills/spells (getter77)
no longer need an enemy to use enrage
increased shield bash damage (Nemhir)
enrage now interrupts spells also
made wampir targeting a little easier (Rockstronaut)
npcs will no longer finish build quests (Gutsman/L337GTIMKV)
now can pickup other peoples soul stones if they leave the game (viper34j)
fixed 2 gather quests breaking one another (FloodSpectre)
fixed an issue picking up stacks of items (Lyranaar)
decreased health mult of food from 0.6 to 0.55 (also makes cheaper)
now cold, fire, lightning, and poison magic modifiers are more common
increased durabilty damage from doors, chests, cave-ins, and acid
increased HealthRegenPerVit from 0.8 to 1.2
monsters/npcs no longer use dps for their damage numbers
fixed lots of caster damages that were higher than they were supposed to be
decreased shatter explosion radius from 200.0 to 150.0
increased health magic modifier from 1.0/0.4 to 4.0/1.0 (L337GTIMKV)
decreased attribute magic modifiers from 0.35 to 0.2 per level
fixed Rawhide Shoulders capitalization (FloodSpectre)
female pain sounds now have less pitch range (TheRani/incognoscente)
fixed minimap when zooming in and out (incognoscente)
fixed mouse not working after escaping a screen with a drop down box open (incognoscente)
drop down boxes now close if you click somewhere else
if something that has grabbed the mouse doesn't handle a click now other things can
Dark Elf poison stab now does poison damage
now cure poison works on wampir and dark elf poison also (timeh)
increased cure poison heal from 2.0 to 3.0 per level (timeh)
changed wampir damage from 1.5/0.25 to 0.35/0.35 so that cure poison numbers match up a bit better
now remove thief correctly when the thief leaves town (viper34j)
now thief quest works better if higher level than character
decreased starting monsters in an invasion from 9-12 to 2-4
fixed a crash with new targeting stuff
players and monsters can no longer raise things they can't see (L337GTIMKV)
decreased berserk defense penalty from -0.2 to -0.1 per level (L337GTIMKV)
increased obelisk buff time from 20.0 to 60.0 (L337GTIMKV)
increased rupture damage/deepwounds per level numbers from 0.1/0.2 to 0.15/0.25 (FloodSpectre)
balanced Bloodtooth a bit better, thorns & regen on a scavenger is pretty nasty (Aganazer)
added a defense debuff to enrage
increased enrage reusetime from 10.0 to 15.0
reworded Sleight of Hand description (cthonic)
increased door health from 5-10 to 8-16 per level
increased chest health from 6-12 to 9-18 per level
now treasure hunter skill has items chance and magic chance bonus (cthonic)
added critical hit chance to true aim buff (cthonic)
fixed divine intervention description (cthonic)
increased divine intervention mana/heal boosts to 75 per level (cthonic)
increased summoned fire elemental damage bonuses
decreased cooking MaxSkillLevel from 10 to 9
sprint no longer costs mana
increased sprint initial bonus from 0.1 to 0.2
sprint now gives you some stamina regen
dark ritual now costs more mana but lasts longer (cthonic)
added movement and damage bonuses to lich skill (cthonic)
gaseous form no longer uses mana and give stamina (cthonic)
increased infused energy mana from 10 to 40 (Gutsman)
now weapons & armor gets damage/armor boosts at each rarity level (viper34j/cthonic)


0.905
-----
increased food spawn chance from 4.0 to 5.0 (FloodSpectre)
increased health potion chance from 2.0 to 2.5 (FloodSpectre)
fixed death knight in bestiary (Valgor)
fixed bestiary icon alignment (Valgor)
fixed a typo in saurian mage text (FloodSpectre)
fixed Viper Naga capitalization (FloodSpectre)
fixed nobodies spelling (FloodSpectre)
fixed some RenegadeKilled text (FloodSpectre)
fixed evil altar curse text (FloodSpectre)
made close icon on quest screen smaller
fixed new world highlight text (FloodSpectre)
shifted earthquake center a bit so it's less likely that cave-ins will fall directly on attacker
fixed a radius bug with earthquakes
decreased cave-in damage from 10-30/3-7 to 5-15/2-5
changed haste effect
changed fireworks effects
increased alcohol, acid, and magma additional spawn chances
increased oil and alcohol spread chances (getter77)
now have player killed print in singleplayer also (mostly for logging purposes) (Cadfan)
now get a surprise bonus when you teleport (getter77)
fixed healer extra mana per spirit skill
fixed a power bonus typo
fixed shaman extra mana per spirit skill
increased base DamageMultPerStr from 0.5 to 0.6 (Aganazer)
increased defender DamageMultPerStr from 0.001 to 0.002
fixed up some monster more monster class stuff
increased base DefensePerDex from 3.0 to 3.5 (Aganazer)
increased trickster DefensePerDex from 0.5 to 0.75
increased thief DefensePerDex from 1.0 to 1.25
reputation reward is no class specific (cthonic)
darkness and bright are now incompatible modifiers (Greyhead)
increased level of summoned monsters again (Gutsman)
increased chances of new quest giver quests from 1.5 to 1.75 (Cadfan)
fixed daze mana requirement (getter77)
decreased monster AttackPerDex from 5.0 to 4.0
fixed stealth not working right when running around a corner (Gutsman)
altars and machines can no longer be champions (FloodSpectre)
now verify at least a unique monster and can move for revenge quests (FloodSpectre)
fixed a lock picking bug (FloodSpectre/Tillek)
tighten item drop range some (cthonic)
fixed precise strike not working with decent or major distractions (Cadfan)
shield bash now counts as a minor distraction (Cadfan)
now caltrops does a little bit of damage (getter77)
fixed skeleton warrior icon in bestiary (Valgor)
improved alt help text
now show explosion radius in skill help (getter77)
added a small amount of health regen per vitality (cthonic)
increased weapon damage per level by 10%
assassins and scouts tend to start more toward edges of town now
town attacks are a little slower now
balanced Zalim better (Nemhir)
slowed down orc shaman, dark elf priest, dark elf wizard, naga priest, and saurian mage spell attacks
dark elf wizard uses ice storm a little less now
decreased health mult for plaguebringer larva from 0.8 to 0.5 (Nemhir)
decreased monster vitality per level again
shadows now do less damage but are harder to hit (Nemhir)
shadows should now be a little easier to target (Nemhir)
decreased plate spawn chance from 1.0 to 0.75 (FloodSpectre)
added descriptions to know world modifiers (viper34j)
fixed NoStamina (Valgor)
added 3 obelisk quests
now townDefenseRewards can be normal entities
added a good totem quest
added build altar quest
town can now sometimes build a brightness machine after destroying a darkness machine
fixed spawning money issue when level is not loaded
renamed low, medium, high to easy, normal, and hard
color coded easy and hard (green/yellow respectively)
increased Din's radius
fixed a couple deliver this information typos (icekrystal10)
fixed NPCs health across saves (FloodSpectre)
fixed player xp split in multiplayer


0.904
-----
now save the log of things that happen to a nice simple text file (Cadfan)
now can chat in singleplayer (mostly as an easy way to add to your log)
fixed a rare dupe issue (incognoscente)
now load level stuff handles players leaving
fixed load level stuff not handling winning/losing worlds correctly (Aganazer/viper34j/Lyranaar)
now server and client data rates are official options
changed networking protocol version
server now sends back wrong protocol version error number correctly
added low bandwidth option
fixed ui alignment issue on sound options screen
undead should no longer attack recon totems
fixed a lost packet being able to screw up client's game time
fixed a potential crash in startReadConditionalObject
turned out of game data off
made fragment code a bit safer
fixed a problem where a multiplayer client only partially joins (Aganazer/redman5427)
added town saved dynamic chat
fixed a rare problem when you would end up teleporting in away from gate
fixed dark elf wizard fireball not doing fire damage (FloodSpectre)
decreased dark elf wizard damage some
slowed down dark elf wizard casting some (FloodSpectre)
added a max range to dark elf wizard ice storm (Iane)
made earthquake start effect a little smaller
decreased chaos lord earthquake damage from 10-30/4-10 to 10-15/1-2.5 (Cadfan)
changed chaos lord earthquake damage to physical
added reuse time to block so don't waste mana doing nothing (Bruteman)
fixed altar heal amount
fixed spawning in town sometimes when saved in dungeon
fixed some npc names not matching correctly like in delivery quests (Kruztee/Coreyh2)
no longer makes combat noise on pick specialty screen (getter77)
fixed Gods' breath (getter77)
fixed shrink not effecting helmets and weapons (Cadfan/Valgor)
now npcs use lifestone and healthstones correctly (Cadfan)
fixed mana potions print
now show extra projectiles in skill print (Cadfan)
decreased food price multiplier from 0.4 to 0.3 (Lyranaar/jshar/tg122)
fixed a couple of gambling price issues (DeathKnight1728)
fixed spider jumping (Cadfan)
fixed stalker reuse timer
now experience for scouting levels scales with how deep they are (Caal/viper34j)
decreased dark elf priest damage from 1.0 to 0.7 and increased cast time from 2.0 to 3.0 (Aganazer)
scavengers eat a little slower now (Aganazer)
blips for people with quests are now purple to highlight them a bit better (qt3 Spect)
increased time for delivery quests more (qt3 Spect)
increased Arcane Focus time from 10.0 to 20.0 (Aganazer)
decreased Arcane Focus mana cost per level from 5 to 2
increased jeweler item generation tries from 50 to 75 (Cadfan)
targ frenzy effect no longer gets removed on death (Cadfan)
fixed flame blade duration (Cadfan)
now check level requirements on usable items (jshar)
decreased chances of delivery quests
repair and identify costs now scale (inversely) with level (jshar)
fixed client on higher difficulty levels not seeing quest levels (Thursday)
tornado and blizzard no longer put out fire elementals (Thursday)
fixed some recon totem quest text (FloodSpectre)
fixed negotiate a truce typo (FloodSpectre)
fixed meeting quest text spacing (FloodSpectre)
decreased drink price multiplier from 0.4 to 0.3 
decreased per level trap damage from 5-10 to 4-8 (Cadfan)
no longer get multiple secret xps for multiple secrets next to each other (FloodSpectre)
fixed LootCarryingCapacity (Valgor)
decreased health potion heal per level from 7.5-15 to 6-12
increased bag vendor spawn tries from 10 to 40 (Cadfan)
increased food/drink vendor spawn tries from 10 to 20
increased respawn time some more
artifact quest no longer can spawn multiple uprising quests (Archon)
mana regen now has a 300 second reuse timer
increased health of rescue, escort, and delivery npcs
now handle / and \ in character names better (cthonic)
now show spirit mana regen boost to 2 decimal places (Cadfan)
skeletons/zombies no longer attack undead wailers (Kruztee)
decreased MonsterGathering town attack chance from 0.1 to 0.05
decreased recon totem town attack chance from 0.1 to 0.05
changed smite timing slightly (Dhakczak)
increased health of main 3 quest npcs some more
npc titles are now above their heads (Valgor)
fixed horror blink spell (Cadfan)
added apothecary build Defensive Poison Totem quest
added warmaster build Defensive Fire Totem quest
added steward build Defensive Ice Totem quest
added armorsmith/weaponsmith build Defensive Lightning Totem quests


0.903
-----
fixed failed/cancelled quests not getting deleted properly (Aganazer/viper34j/Kruztee)
safeguard win condition a little more
fixed a period in character names crashing when loading (TheDoc)
can no longer disarm liquid traps (FloodSpectre)
made ambushes smaller (Coreyh2)
fixed obsidian spelling (FloodSpectre)
fixed punctuation problem in Ego Items help topic (FloodSpectre)


0.902
-----
traps quests are now correctly marked as optional (Aganazer)
fixed completed hidden quest issue (incognoscente)
fixed some problems when cancelling a quest
can no longer purge required quest objects (getter77)
added 2 more player skins
put Show Use Hints back in (Desticato)
fixed some covenant stuff in character export still (Coreyh2)
no longer save shared stash if fake player (probably never did in the first place, just extra check)
now load items in a slightly safer way
changed projectile damages to floats
decreased dark elf wizard ice storm damage from 30-60/6-18 to 10-15/2-3.5 (Lyranaar/Cadfan)
decreased acid damage from 3.0/0.4 to 1.5/0.2 (Cadfan)
decreased naga priest base damage mult from 0.7 to 0.6 (Cadfan)
orc shamans now have some physical damage so they can destroy objects
decreased orc shaman damage mult from 0.75 to 0.6
changed SkeletonWarrior to warrior class
changed DarkElfWarrior to warrior class
changed DarkElfAssassin to rogue class
fixed a bunch of monsters having no valid class set
decreased most monsters vitality per level from 1.5 to 1.4
decreased mage/priest monsters vitality per level from 2.0 to 1.3
decreased rogue monsters vitality per level from 2.0 to 1.4
decreased warrior monsters vitality per level from 3.0 to 1.6
fixed 2 crashes when trying to spawn an item with no entity slots left
fixed a crash in Player::isLootEquipment
fixed a vendor issue
changed magic bow effect to look a little better
cave-ins are a little slower (qt3 ravenight)
now automatically select current selected specialty on pick specialty screen (incognoscente)
fixed some revenge quests not completing correctly after a save/load
fixed npc intro button issue (getter77)
decreased rescue & ambush quest chances from 1.0 to 0.75
fixed dropping an item not calling inventoryChanged (jshar)
health bars of monsters that give quests are now yellow (Cadfan)
cave ins hurt monsters again
decreased cave in range from 100 to 75
fixed earthquakes not hurting monsters
monster events no longer show up on minimap
added ice bomb
boss quest now has a minimum level (lekonish)
improved Din's look a bit (SharpCarlos)
now only one dialog will play at once (Cadfan)
fixed search for server and password fields (hornedry2k)
added Ego Items help topic (Aganazer)
added Fragile Items help topic
fixed zoom buttons when you have switched mouse wheel to something else (SharpCarlos)
fixed must've of been Hamlec typo (getter77)
added Secret Doors help topic (freykin)
fixed duplicate prisoner quest (Ephemera)
fixed altar revenge text (Lyranaar)
fixed characters level arrow on setup world screen
fixed low/medium arrows on setup world screen on new characters (getter77)
fixed dark elves' evil altars typo (FloodSpectre)
fixed plaguebringer larva will overwhelm typo (FloodSpectre)
fixed The dark elf Fuse typo (FloodSpectre)
fixed the Show XP numbers text (Valgor)
changed paladin shield mastery icon (Valgor)
improved difficulty highlight help some (Valgor)
fixed localization data getting loaded in twice (Valgor)
fixed townspeople intro punctuation (FloodSpectre)
fixed naga priest having a weapon in bestiary (Valgor)
fixed an alpha issue on evil pools (Valgor)
fixed GoldVein (Valgor)
fixed WeaponRecipe & WeaponRecipeDesc (Valgor)
changed secret found messages slightly
reworded King Alek Carmelo dialog (FloodSpectre)
fixed until the monsters typo (FloodSpectre)
reworded breakable things tip (FloodSpectre)
reworded trade comes through dialog some (FloodSpectre)
reworded for the crusade (FloodSpectre)
fixed whatever in dynamic world help topic (FloodSpectre)
fixed townspeople in reputation help topic (FloodSpectre)
reworded shared stash help topic a bit (FloodSpectre)
rewored Din's starting quest a bit (FloodSpectre)
fixed prayer description (Lyranaar)
added a warning that raise dead doesn't work on some monster types (cthonic)
fixed Purple Scree spelling (Valgor)
fixed monster group quest having issues across saves (Valgor)
fixed spacing issue in monster group text
fixed damage per successful hit typo (FloodSpectre)
increased dark sacrifice damage from 5-10 to 5-15
increased dark sacrifice mana return from 10 to 50 (cthonic)
changed dead body help to left click to search (Lyranaar)
fixed some quests like rescue completing twice (Lyranaar/vomitousinsight/freykin)
fixed a spawning extra set items crash (stuartpierce)
should now get experience for finding secrets
now get experience for picking locks
now get xp for picking locks (FloodSpectre)
now get xp for disarming traps (DeathKnight1728)
now get xp for exploring new levels
fixed candle name
fixed lantern names (Iane)
increased shield of fire starting damage percent from 0.05 to 0.1 (Cadfan)
fixed rupture mana cost (getter77)
now if you raise dead on too many it destroys your current weakest monster (incognoscente/cthonic)
decreased blight damage from 3 to 1.5
increased blight mana per level from 0 to 2
increased disease cloud start time from 3.0 to 4.0
fixed defensive totem objects getting purged (Kruztee)
ego shields now get defense bonus (FloodSpectre)
fixed reputation highlight text (FloodSpectre)
pets should attack less objects (incognoscente)
pets are now more aggressive (incognoscente/Aganazer/Twotricks)
pets now get initial health boost and other boosts per level (Aganazer/Cadfan/incognoscente/cthonic)
increased most pets staring levels
increased all pets per skill level level boost
now show monster bonuses in skill level text
added chest tag to chaos lord
added port information to manual (viper34j)


0.901
-----
fixed npc name Cp;om (Cadfan)
change unique items to elite in manual
updated voices credit in manual
fixed a typo in Dynamic World section of manual (getter77)
merged setFakePlayer and SetFake
fixed back button size on internet screen
now skins change on Create Character screen for female (SharpCarlos)
keyboard type drop down now goes over mouse wheel action text
Din moves a little slower now
executable should exit a little faster now
mana regen bonus for wizard specialties now displays correctly (Cadfan/Farscry/jshar)
fixed ItemPowerGainMult
added highlight text that gender doesn't change gameplay (getter77)
made skill & item icon outlines more noticable (Aganazer)
added a desc for green town gates (Aganazer)
fixed weapon masteries on 2 handed weapons (Cadfan)
decreased town attack sound volume from 1.0 to 0.7 (asaguda)
increased ranger trap touch distance from 16.0 to 50.0 (Coreyh2)
many npcs now have higher resistances
rescue, escort, and delivery npcs are now tougher
main npcs are now tougher
cave-ins no longer show up on the mini-map (Wantonius)
Din can no longer be poisoned or petrified
fixed mail armor description (getter77)
removed max level for slice skill (getter77)
fixed AttackingOrSkillDisruptsEffect on prayer skill (getter77)
fixed replenish spelling (getter77)
fixed ice mage and magician potion/drink bonus text (getter77)
now damage over time spell effects tell you damage type (getter77)
fixed a typo in the archers description (getter77)
changed multishot to magical damage (getter77)
changed earthquake damage to physical (getter77)
identify all from vendors no longer applies to stashes and loot (getter77)
fixed undead beings typo (getter77)
fixed over the spoils typo (getter77)
fixed a few capitalization issues in npc chat (getter77)
fixed camouflaged spelling (getter77)
fixed They are more dangerous typo (getter77)
fixed vicious typo (getter77)
fixed merely dissolves typo (getter77)
fixed spreading their horrid typo (getter77)
fixed you'd think more typo (getter77)
fixed more vile typo (getter77)
fixed shadows are creatures typo (getter77)
fixed Changelings spelling (getter77)
fixed glad you came typo (getter77)
now petrify, plague, and deadly poisons quests verify monster has a quest item (SharpCarlos)
decreased orc shaman damage mult from 1.05 to 0.75 (involution)
made optional quests more obvious (involution/Cadfan)
decreased food/water supply poison multipliers
decreased food price multipliers for darkness machine, weather machine, and plagues (Cadfan)
decreased ExtraSetItemChance from 0.5 to 0.35
increased money, xp, and reputation rewards for rescue & escort quests (Ephemera)
decreased cave in damage per level from 5-10 to 3-7 (Cadfan)
now monsters that commit suicide notify quests correctly (Cadfan)
changed attribute/skill points left to green and increased size (Aganazer)
now build skill definitions in a way that doesn't rely on order as much
fixed flaming arrow, poison arrow, shock bolt, & multi-shot damage bonuses not working
fire mastery now also effects holy fire, lifeburn, flaming arrow, exploding arrow, and immolation trap (jshar)
cold mastery now also effects charged strike and freezing trap (jshar)
lightning mastery now also effects holy strike and shock bolt (jshar)
now extra set drops take into account level of items (jshar)
dungeons are sometimes a little brighter now (jshar)
can no longer use summoning altar multiple times (jshar)
increased reward chests magic chance by 200 (lekonish)
increased chest health from 5-10 to 6-12
increased door health from 3-7 to 5-10
decreased lock pick time from 3.0 to 1.5 (Aganazer)
decreased dark elf warrior slice attack critical bonus from 20.0 to 15.0 (incognoscente)
decreased dark elf assassin poison attack damage from 2 to 0.5 (incognoscente/Lyranaar/Aganazer)
increased quest min event time from 300.0 to 330.0
fixed cease to be amused typo (getter77)
fixed worse than darkness typo (getter77)
fixed ever were any typo (getter77)
fixed are vile beings typo (getter77)
fixed averse to metal typo (getter77)
fixed wards away evil typo (getter77)
fixed if you want a real potion typo (getter77)
fixed little flea typo (getter77)
decreased ambient spider speed from 100.0 to 50.0
decreased the number of leprechaun gold drops (same amount of gold though) (qt3 peterb/Flailsnail)
now save last used IP in Direct IP (jshar)
decreased monster VitalityPerLevel from 2.0 to 1.5
increased weapon damage by 10%
moved suggested level down a notch
aligned level suggestion stuff a bit better
fixed top row icon alignment on equipment screen
fixed player kills using wrong respawn time
increased base monster respawn time from 420.0 to 600.0
now respawn rate is more dynamic based on how fast you kill monsters
fixed a loading issue when running out of entities (Paul)
fixed a couple bugs with entity purging (Paul)
fixed town gate simplified name
made ghost and naga selection area smaller
made other monsters selection area larger (qt3 peterb)
decreased stored lightning looping sound volume a lot (Cadfan)
fixed keep on a look out issue (ShaggyMoose)
fixed gibberish spelling (ShaggyMoose)
fixed a spacing issue in uprising text (Cadfan)
fixed Exploding Arrow (Lyranaar/Aganazer)
evade skill now properly boosts evade instead of dodge (DeathKnight1728)
fixed 2 issues with shockwave stuns (jshar)
decreased shockwave stun chance from 0.5 to 0.25
net trap lasts longer per level now
net trap radius now works (DeathKnight1728)
improved net trap description
added effect to net and web status effects
fixed not getting credit for revenge quests if you don't have the quest when completed (Cadfan)
increased delivery times (Aganazer)
kill monsters and monster quest now checks to make sure goal monsters are valid (Aganazer)
escort npcs are now blind
delivery, rescue, and escort npcs are now way less aggressive (freykin)


0.900
-----
This is the first beta version.